## mingw-w64-liboqs-0.14.0-1.src.tar.zst

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

include(GNUInstallDirs)
include(CMakePackageConfigHelpers)

add_subdirectory(common)

# initialize KEM|SIG_OBJS for --warn-uninitialized
set(KEM_OBJS "")
set(SIG_OBJS "")
set(SIG_STFL_OBJS "")

if(${OQS_ENABLE_KEM_BIKE})
    add_subdirectory(kem/bike)
    set(KEM_OBJS ${KEM_OBJS} ${BIKE_OBJS})
endif()
if(${OQS_ENABLE_KEM_FRODOKEM})
    add_subdirectory(kem/frodokem)
    set(KEM_OBJS ${KEM_OBJS} ${FRODOKEM_OBJS})
endif()
if(OQS_ENABLE_KEM_NTRUPRIME)
    add_subdirectory(kem/ntruprime)
    set(KEM_OBJS ${KEM_OBJS} ${NTRUPRIME_OBJS})
endif()
##### OQS_COPY_FROM_UPSTREAM_FRAGMENT_ADD_ALG_OBJECTS_START
if(OQS_ENABLE_KEM_CLASSIC_MCELIECE)
    add_subdirectory(kem/classic_mceliece)
    set(KEM_OBJS ${KEM_OBJS} ${CLASSIC_MCELIECE_OBJS})
endif()
if(OQS_ENABLE_KEM_HQC)
    add_subdirectory(kem/hqc)
    set(KEM_OBJS ${KEM_OBJS} ${HQC_OBJS})
endif()
if(OQS_ENABLE_KEM_KYBER)
    add_subdirectory(kem/kyber)
    set(KEM_OBJS ${KEM_OBJS} ${KYBER_OBJS})
endif()
if(OQS_ENABLE_KEM_ML_KEM)
    add_subdirectory(kem/ml_kem)
    set(KEM_OBJS ${KEM_OBJS} ${ML_KEM_OBJS})
endif()
if(OQS_ENABLE_SIG_DILITHIUM)
    add_subdirectory(sig/dilithium)
    set(SIG_OBJS ${SIG_OBJS} ${DILITHIUM_OBJS})
endif()
if(OQS_ENABLE_SIG_ML_DSA)
    add_subdirectory(sig/ml_dsa)
    set(SIG_OBJS ${SIG_OBJS} ${ML_DSA_OBJS})
endif()
if(OQS_ENABLE_SIG_FALCON)
    add_subdirectory(sig/falcon)
    set(SIG_OBJS ${SIG_OBJS} ${FALCON_OBJS})
endif()
if(OQS_ENABLE_SIG_SPHINCS)
    add_subdirectory(sig/sphincs)
    set(SIG_OBJS ${SIG_OBJS} ${SPHINCS_OBJS})
endif()
if(OQS_ENABLE_SIG_MAYO)
    add_subdirectory(sig/mayo)
    set(SIG_OBJS ${SIG_OBJS} ${MAYO_OBJS})
endif()
if(OQS_ENABLE_SIG_CROSS)
    add_subdirectory(sig/cross)
    set(SIG_OBJS ${SIG_OBJS} ${CROSS_OBJS})
endif()
if(OQS_ENABLE_SIG_UOV)
    add_subdirectory(sig/uov)
    set(SIG_OBJS ${SIG_OBJS} ${UOV_OBJS})
endif()
if(OQS_ENABLE_SIG_SNOVA)
    add_subdirectory(sig/snova)
    set(SIG_OBJS ${SIG_OBJS} ${SNOVA_OBJS})
endif()
##### OQS_COPY_FROM_UPSTREAM_FRAGMENT_ADD_ALG_OBJECTS_END

if(OQS_ENABLE_SIG_STFL_XMSS)
    add_subdirectory(sig_stfl/xmss)
    set(SIG_STFL_OBJS ${SIG_STFL_OBJS} ${XMSS_OBJS})
endif()

if(OQS_ENABLE_SIG_STFL_LMS)
    add_subdirectory(sig_stfl/lms)
    set(SIG_STFL_OBJS ${SIG_STFL_OBJS} ${LMS_OBJS})
endif()

add_library(oqs kem/kem.c
                ${KEM_OBJS}
                sig/sig.c
                ${SIG_OBJS}
                sig_stfl/sig_stfl.c
                ${SIG_STFL_OBJS}
                ${COMMON_OBJS})

# Internal library to be used only by test programs
add_library(oqs-internal STATIC ${INTERNAL_OBJS})

if(DEFINED SANITIZER_LD_FLAGS)
    target_link_libraries(oqs PUBLIC ${SANITIZER_LD_FLAGS})
    target_link_libraries(oqs-internal PUBLIC ${SANITIZER_LD_FLAGS})
endif()
if(${OQS_USE_OPENSSL})
  if(${OQS_DLOPEN_OPENSSL})
    target_link_libraries(oqs PRIVATE ${CMAKE_DL_LIBS})
    target_link_libraries(oqs-internal PRIVATE ${CMAKE_DL_LIBS})
  else()
    target_link_libraries(oqs PRIVATE ${OPENSSL_CRYPTO_LIBRARY})
    target_link_libraries(oqs-internal PRIVATE ${OPENSSL_CRYPTO_LIBRARY})
  endif()
endif()
if(${OQS_USE_CUPQC})
    set_property(TARGET oqs PROPERTY CUDA_RESOLVE_DEVICE_SYMBOLS ON)
    target_link_libraries(oqs PRIVATE cupqc)
    target_link_options(oqs PRIVATE $<DEVICE_LINK: -dlto>)
endif()

target_include_directories(oqs
                           PUBLIC
                           "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
                           "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
)

target_include_directories(oqs-internal
                           PUBLIC
                           "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>"
                           "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>"
)

if(MINGW)
    target_link_options(oqs-internal PRIVATE -Wl,--export-all-symbols)
endif()

set_target_properties(oqs
    PROPERTIES
    ARCHIVE_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/lib"
    LIBRARY_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/lib"
    VERSION ${OQS_VERSION_TEXT}
    SOVERSION 8
    # For Windows DLLs
    RUNTIME_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/bin")

set_target_properties(oqs-internal
    PROPERTIES
    C_VISIBILITY_PRESET default
    ARCHIVE_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/lib"
    LIBRARY_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/lib"
    # For Windows DLLs
    RUNTIME_OUTPUT_DIRECTORY "${PROJECT_BINARY_DIR}/bin")

configure_package_config_file(${CMAKE_CURRENT_SOURCE_DIR}/Config.cmake.in
  "${CMAKE_CURRENT_BINARY_DIR}/liboqsConfig.cmake"
  INSTALL_DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/liboqs
)

# generate the version file for the config file
write_basic_package_version_file(
  "${CMAKE_CURRENT_BINARY_DIR}/liboqsConfigVersion.cmake"
  VERSION "${OQS_VERSION_TEXT}"
  COMPATIBILITY AnyNewerVersion
)

if(OQS_USE_OPENSSL)
    set(_oqs_pkgconfig_requires_private openssl)
endif()

# generate pkg-config file
configure_file(
  ${CMAKE_CURRENT_SOURCE_DIR}/liboqs.pc.in
  ${CMAKE_CURRENT_BINARY_DIR}/liboqs.pc
  @ONLY
)

install(FILES
          "${CMAKE_CURRENT_BINARY_DIR}/liboqsConfig.cmake"
          "${CMAKE_CURRENT_BINARY_DIR}/liboqsConfigVersion.cmake"
        DESTINATION "${CMAKE_INSTALL_LIBDIR}/cmake/liboqs"
)

install(FILES
          "${CMAKE_CURRENT_BINARY_DIR}/liboqs.pc"
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
)

install(TARGETS oqs
        EXPORT liboqsTargets
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        INCLUDES DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/oqs
)

install(EXPORT liboqsTargets
        FILE liboqsTargets.cmake
        NAMESPACE OQS::
        DESTINATION ${CMAKE_INSTALL_LIBDIR}/cmake/liboqs
)

install(FILES ${PUBLIC_HEADERS}
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/oqs)

export(EXPORT liboqsTargets
       FILE "${CMAKE_CURRENT_BINARY_DIR}/liboqsTargets.cmake"
       NAMESPACE OQS::
)

=== zephyr/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# Only add liboqs Zephyr module if enabled in Kconfig
if(CONFIG_LIBOQS)

        # Workarounds for Zephyr
        if(CMAKE_SYSTEM_PROCESSOR STREQUAL "arm")
                # Workaround as the generic name "arm" is not a supported architecture in liboqs.
                # In Zephyr, however, it is exclusively used for 32-bit ARM architectures.
                set(CMAKE_SYSTEM_PROCESSOR "armv7")
        elseif(CMAKE_SYSTEM_PROCESSOR STREQUAL "riscv")
                # Zephyr doesn't distinguish between 32-bit and 64-bit RISC-V architectures.
                if(CONFIG_64BIT)
                        set(CMAKE_SYSTEM_PROCESSOR "riscv64")
                else()
                        set(CMAKE_SYSTEM_PROCESSOR "riscv32")
                endif()
        elseif(CMAKE_SYSTEM_PROCESSOR STREQUAL "posix")
                # Workaround to enable the native Zephyr builds on the Linux host system.
                if(BOARD MATCHES "native_posix|native_sim")
                        set(CMAKE_SYSTEM_PROCESSOR ${CMAKE_HOST_SYSTEM_PROCESSOR})
                else()
                        message(FATAL_ERROR "Unsupported board ${BOARD} with posix architecture")
                endif()
        elseif(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86")
                # Zephyr doesn't distinguish between 32-bit and 64-bit x86 architectures.
                if(CONFIG_64BIT)
                        set(CMAKE_SYSTEM_PROCESSOR "x86_64")
                endif()
        endif()

        # We have to set CMAKE_SIZEOF_VOID_P manually as CMake can't detect it properly in Zephyr
        if(CONFIG_64BIT)
                set(CMAKE_SIZEOF_VOID_P 8)
        else()
                set(CMAKE_SIZEOF_VOID_P 4)
        endif()

        # Configuration for liboqs
        set(OQS_DIST_BUILD  OFF)
        set(OQS_BUILD_ONLY_LIB ON)
        set(OQS_USE_OPENSSL OFF)
        set(OQS_EMBEDDED_BUILD ON)

        set(CMAKE_CROSSCOMPILING ON)

        # Disable features by hand, as CMake won't find them properly with Zephyr
        set(CMAKE_HAVE_GETENTROPY OFF)
        set(CMAKE_HAVE_ALIGNED_ALLOC OFF)
        set(CMAKE_HAVE_POSIX_MEMALIGN OFF)
        set(CMAKE_HAVE_MEMALIGN OFF)
        set(CMAKE_HAVE_EXPLICIT_BZERO OFF)
        set(CMAKE_HAVE_MEMSET_S OFF)
        set(CC_SUPPORTS_WA_NOEXECSTACK OFF)
        set(LD_SUPPORTS_WL_Z_NOEXECSTACK OFF)

        # Algorithm selection (based on Kconfig)
        if(CONFIG_LIBOQS_ENABLE_KEM_BIKE)
                set(OQS_ENABLE_KEM_BIKE ON)
        else()
                set(OQS_ENABLE_KEM_BIKE OFF)
        endif()

        if(CONFIG_LIBOQS_ENABLE_KEM_FRODOKEM)
                set(OQS_ENABLE_KEM_FRODOKEM ON)
        else()
                set(OQS_ENABLE_KEM_FRODOKEM OFF)
        endif()

        if(CONFIG_LIBOQS_ENABLE_KEM_NTRUPRIME)
                set(OQS_ENABLE_KEM_NTRUPRIME ON)
        else()
                set(OQS_ENABLE_KEM_NTRUPRIME OFF)
        endif()

        if(CONFIG_LIBOQS_ENABLE_KEM_CLASSIC_MCELIECE)
                set(OQS_ENABLE_KEM_CLASSIC_MCELIECE ON)
        else()
                set(OQS_ENABLE_KEM_CLASSIC_MCELIECE OFF)
        endif()

        if(CONFIG_LIBOQS_ENABLE_KEM_HQC)
                set(OQS_ENABLE_KEM_HQC ON)
        else()
                set(OQS_ENABLE_KEM_HQC OFF)
        endif()

        if(CONFIG_LIBOQS_ENABLE_KEM_KYBER)
                set(OQS_ENABLE_KEM_KYBER ON)
        else()
                set(OQS_ENABLE_KEM_KYBER OFF)
        endif()

        if(CONFIG_LIBOQS_ENABLE_KEM_ML_KEM)
                set(OQS_ENABLE_KEM_ML_KEM ON)
        else()
                set(OQS_ENABLE_KEM_ML_KEM OFF)
        endif()

        if(CONFIG_LIBOQS_ENABLE_SIG_DILITHIUM)
                set(OQS_ENABLE_SIG_DILITHIUM ON)
        else()
                set(OQS_ENABLE_SIG_DILITHIUM OFF)
        endif()

        if(CONFIG_LIBOQS_ENABLE_SIG_ML_DSA)
                set(OQS_ENABLE_SIG_ML_DSA ON)
        else()
                set(OQS_ENABLE_SIG_ML_DSA OFF)
        endif()

        if(CONFIG_LIBOQS_ENABLE_SIG_FALCON)
                set(OQS_ENABLE_SIG_FALCON ON)
        else()
                set(OQS_ENABLE_SIG_FALCON OFF)
        endif()

        if(CONFIG_LIBOQS_ENABLE_SIG_SPHINCS)
                set(OQS_ENABLE_SIG_SPHINCS ON)
        else()
                set(OQS_ENABLE_SIG_SPHINCS OFF)
        endif()

        if(CONFIG_LIBOQS_ENABLE_SIG_MAYO)
                set(OQS_ENABLE_SIG_MAYO ON)
                set(OQS_ENABLE_SIG_mayo_5 OFF)
        else()  
                set(OQS_ENABLE_SIG_MAYO OFF)
        endif()

        if(CONFIG_LIBOQS_ENABLE_SIG_UOV)
                set(OQS_ENABLE_SIG_UOV ON)
        else()  
                set(OQS_ENABLE_SIG_UOV OFF)
        endif()

        if(CONFIG_LIBOQS_ENABLE_SIG_CROSS)
                set(OQS_ENABLE_SIG_CROSS ON)
                # Disable CROSS variants with large stack usage
                set(OQS_ENABLE_SIG_cross_rsdp_128_small OFF)
                set(OQS_ENABLE_SIG_cross_rsdp_192_small OFF)
                set(OQS_ENABLE_SIG_cross_rsdp_256_balanced OFF)
                set(OQS_ENABLE_SIG_cross_rsdp_256_small OFF)
                set(OQS_ENABLE_SIG_cross_rsdpg_192_small OFF)
                set(OQS_ENABLE_SIG_cross_rsdpg_256_small OFF)
        else()  
                set(OQS_ENABLE_SIG_CROSS OFF)
        endif()

        if(CONFIG_LIBOQS_ENABLE_SIG_SNOVA)
                set(OQS_ENABLE_SIG_SNOVA ON)
                set(OQS_ENABLE_SIG_snova_SNOVA_56_25_2 OFF)
                set(OQS_ENABLE_SIG_snova_SNOVA_49_11_3 OFF)
                set(OQS_ENABLE_SIG_snova_SNOVA_37_8_4 OFF)
                set(OQS_ENABLE_SIG_snova_SNOVA_60_10_4 OFF)
                set(OQS_ENABLE_SIG_snova_SNOVA_24_5_5 OFF)
                set(OQS_ENABLE_SIG_snova_SNOVA_29_6_5 OFF)
        else()
                set(OQS_ENABLE_SIG_SNOVA OFF)
        endif()

        # Add the actual liboqs targets
        add_subdirectory(.. build)

        # Add target specific options to all liboqs targets
        zephyr_get_targets(.. "STATIC_LIBRARY;OBJECT_LIBRARY" ALL_TARGETS)
        foreach(target ${ALL_TARGETS})
                # Zephyr include directories
                target_include_directories(${target} PRIVATE
                        $<TARGET_PROPERTY:zephyr_interface,INTERFACE_INCLUDE_DIRECTORIES>
                )

                # Zephyr system include directories
                target_include_directories(${target} SYSTEM PRIVATE
                        $<TARGET_PROPERTY:zephyr_interface,INTERFACE_SYSTEM_INCLUDE_DIRECTORIES>
                )

                # Definitions
                target_compile_definitions(${target} PRIVATE
                        $<TARGET_PROPERTY:zephyr_interface,INTERFACE_COMPILE_DEFINITIONS>
                )

                # Compile options (includes compiler flags)
                target_compile_options(${target} PRIVATE
                        $<TARGET_PROPERTY:zephyr_interface,INTERFACE_COMPILE_OPTIONS>
                        $<TARGET_PROPERTY:compiler,no_builtin>
                )

                # liboqs depends on unistd.h, which ultimately needs the generated syscall_list.h file,
                # which is generated as part of ${SYSCALL_LIST_H_TARGET} target. Therefore, we have to
                # make sure that target is built before liboqs.
                add_dependencies(${target} ${SYSCALL_LIST_H_TARGET})

                # We don't want position independent code
                set_target_properties(${target} PROPERTIES POSITION_INDEPENDENT_CODE OFF)
        endforeach()

        # Link the liboqs library
        zephyr_link_libraries(oqs)

        # Include the liboqs headers
        zephyr_include_directories(${CMAKE_CURRENT_BINARY_DIR}/build/include)

        # Undo the Zephyr workarounds from above to not interfere with other modules
        if(CMAKE_SYSTEM_PROCESSOR STREQUAL "armv7")
                set(CMAKE_SYSTEM_PROCESSOR "arm")
        elseif(CMAKE_SYSTEM_PROCESSOR EQUAL CMAKE_HOST_SYSTEM_PROCESSOR)
                set(CMAKE_SYSTEM_PROCESSOR "posix")
        elseif(CMAKE_SYSTEM_PROCESSOR MATCHES "riscv")
                set(CMAKE_SYSTEM_PROCESSOR "riscv")
        elseif(CMAKE_SYSTEM_PROCESSOR STREQUAL "x86_64")
                set(CMAKE_SYSTEM_PROCESSOR "x86")
        endif()
endif()

=== scripts/copy_from_upstream/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.11
# by the following command:
#
#    pip-compile --generate-hashes requirements.in
#
attrs==20.3.0 \
    --hash=sha256:31b2eced602aa8423c2aea9c76a724617ed67cf9513173fd3a4f03e3a929c7e6 \
    --hash=sha256:832aa3cde19744e49938b91fea06d69ecb9e649c93ba974535d08ad92164f700
    # via -r requirements.in
gitdb==4.0.11 \
    --hash=sha256:81a3407ddd2ee8df444cbacea00e2d038e40150acfa3001696fe0dcf1d3adfa4 \
    --hash=sha256:bf5421126136d6d0af55bc1e7c1af1c397a34f5b7bd79e776cd3e89785c2b04b
    # via gitpython
gitpython==3.1.41 \
    --hash=sha256:c36b6634d069b3f719610175020a9aed919421c87552185b085e04fbbdb10b7c \
    --hash=sha256:ed66e624884f76df22c8e16066d567aaa5a37d5b5fa19db2c6df6f7156db9048
    # via -r requirements.in
importlib-metadata==3.7.0 \
    --hash=sha256:24499ffde1b80be08284100393955842be4a59c7c16bbf2738aad0e464a8e0aa \
    --hash=sha256:c6af5dbf1126cd959c4a8d8efd61d4d3c83bddb0459a17e554284a077574b614
    # via -r requirements.in
jinja2==3.1.5 \
    --hash=sha256:8fefff8dc3034e27bb80d67c671eb8a9bc424c0ef4c0826edbff304cceff43bb \
    --hash=sha256:aba0f4dc9ed8013c424088f68a5c226f7d6097ed89b246d7749c2ec4175c6adb
    # via -r requirements.in
markdown-it-py==2.2.0 \
    --hash=sha256:5a35f8d1870171d9acc47b99612dc146129b631baf04970128b568f190d0cc30 \
    --hash=sha256:7c9a5e412688bc771c67432cbfebcdd686c93ce6484913dccf06cb5a0bea35a1
    # via
    #   -r requirements.in
    #   mdit-py-plugins
markupsafe==2.1.3 \
    --hash=sha256:05fb21170423db021895e1ea1e1f3ab3adb85d1c2333cbc2310f2a26bc77272e \
    --hash=sha256:0a4e4a1aff6c7ac4cd55792abf96c915634c2b97e3cc1c7129578aa68ebd754e \
    --hash=sha256:10bbfe99883db80bdbaff2dcf681dfc6533a614f700da1287707e8a5d78a8431 \
    --hash=sha256:134da1eca9ec0ae528110ccc9e48041e0828d79f24121a1a146161103c76e686 \
    --hash=sha256:14ff806850827afd6b07a5f32bd917fb7f45b046ba40c57abdb636674a8b559c \
    --hash=sha256:1577735524cdad32f9f694208aa75e422adba74f1baee7551620e43a3141f559 \
    --hash=sha256:1b40069d487e7edb2676d3fbdb2b0829ffa2cd63a2ec26c4938b2d34391b4ecc \
    --hash=sha256:1b8dd8c3fd14349433c79fa8abeb573a55fc0fdd769133baac1f5e07abf54aeb \
    --hash=sha256:1f67c7038d560d92149c060157d623c542173016c4babc0c1913cca0564b9939 \
    --hash=sha256:282c2cb35b5b673bbcadb33a585408104df04f14b2d9b01d4c345a3b92861c2c \
    --hash=sha256:2c1b19b3aaacc6e57b7e25710ff571c24d6c3613a45e905b1fde04d691b98ee0 \
    --hash=sha256:2ef12179d3a291be237280175b542c07a36e7f60718296278d8593d21ca937d4 \
    --hash=sha256:338ae27d6b8745585f87218a3f23f1512dbf52c26c28e322dbe54bcede54ccb9 \
    --hash=sha256:3c0fae6c3be832a0a0473ac912810b2877c8cb9d76ca48de1ed31e1c68386575 \
    --hash=sha256:3fd4abcb888d15a94f32b75d8fd18ee162ca0c064f35b11134be77050296d6ba \
    --hash=sha256:42de32b22b6b804f42c5d98be4f7e5e977ecdd9ee9b660fda1a3edf03b11792d \
    --hash=sha256:47d4f1c5f80fc62fdd7777d0d40a2e9dda0a05883ab11374334f6c4de38adffd \
    --hash=sha256:504b320cd4b7eff6f968eddf81127112db685e81f7e36e75f9f84f0df46041c3 \
    --hash=sha256:525808b8019e36eb524b8c68acdd63a37e75714eac50e988180b169d64480a00 \
    --hash=sha256:56d9f2ecac662ca1611d183feb03a3fa4406469dafe241673d521dd5ae92a155 \
    --hash=sha256:5bbe06f8eeafd38e5d0a4894ffec89378b6c6a625ff57e3028921f8ff59318ac \
    --hash=sha256:65c1a9bcdadc6c28eecee2c119465aebff8f7a584dd719facdd9e825ec61ab52 \
    --hash=sha256:68e78619a61ecf91e76aa3e6e8e33fc4894a2bebe93410754bd28fce0a8a4f9f \
    --hash=sha256:69c0f17e9f5a7afdf2cc9fb2d1ce6aabdb3bafb7f38017c0b77862bcec2bbad8 \
    --hash=sha256:6b2b56950d93e41f33b4223ead100ea0fe11f8e6ee5f641eb753ce4b77a7042b \
    --hash=sha256:715d3562f79d540f251b99ebd6d8baa547118974341db04f5ad06d5ea3eb8007 \
    --hash=sha256:787003c0ddb00500e49a10f2844fac87aa6ce977b90b0feaaf9de23c22508b24 \
    --hash=sha256:7ef3cb2ebbf91e330e3bb937efada0edd9003683db6b57bb108c4001f37a02ea \
    --hash=sha256:8023faf4e01efadfa183e863fefde0046de576c6f14659e8782065bcece22198 \
    --hash=sha256:8758846a7e80910096950b67071243da3e5a20ed2546e6392603c096778d48e0 \
    --hash=sha256:8afafd99945ead6e075b973fefa56379c5b5c53fd8937dad92c662da5d8fd5ee \
    --hash=sha256:8c41976a29d078bb235fea9b2ecd3da465df42a562910f9022f1a03107bd02be \
    --hash=sha256:8e254ae696c88d98da6555f5ace2279cf7cd5b3f52be2b5cf97feafe883b58d2 \
    --hash=sha256:8f9293864fe09b8149f0cc42ce56e3f0e54de883a9de90cd427f191c346eb2e1 \
    --hash=sha256:9402b03f1a1b4dc4c19845e5c749e3ab82d5078d16a2a4c2cd2df62d57bb0707 \
    --hash=sha256:962f82a3086483f5e5f64dbad880d31038b698494799b097bc59c2edf392fce6 \
    --hash=sha256:9aad3c1755095ce347e26488214ef77e0485a3c34a50c5a5e2471dff60b9dd9c \
    --hash=sha256:9dcdfd0eaf283af041973bff14a2e143b8bd64e069f4c383416ecd79a81aab58 \
    --hash=sha256:aa57bd9cf8ae831a362185ee444e15a93ecb2e344c8e52e4d721ea3ab6ef1823 \
    --hash=sha256:aa7bd130efab1c280bed0f45501b7c8795f9fdbeb02e965371bbef3523627779 \
    --hash=sha256:ab4a0df41e7c16a1392727727e7998a467472d0ad65f3ad5e6e765015df08636 \
    --hash=sha256:ad9e82fb8f09ade1c3e1b996a6337afac2b8b9e365f926f5a61aacc71adc5b3c \
    --hash=sha256:af598ed32d6ae86f1b747b82783958b1a4ab8f617b06fe68795c7f026abbdcad \
    --hash=sha256:b076b6226fb84157e3f7c971a47ff3a679d837cf338547532ab866c57930dbee \
    --hash=sha256:b7ff0f54cb4ff66dd38bebd335a38e2c22c41a8ee45aa608efc890ac3e3931bc \
    --hash=sha256:bfce63a9e7834b12b87c64d6b155fdd9b3b96191b6bd334bf37db7ff1fe457f2 \
    --hash=sha256:c011a4149cfbcf9f03994ec2edffcb8b1dc2d2aede7ca243746df97a5d41ce48 \
    --hash=sha256:c9c804664ebe8f83a211cace637506669e7890fec1b4195b505c214e50dd4eb7 \
    --hash=sha256:ca379055a47383d02a5400cb0d110cef0a776fc644cda797db0c5696cfd7e18e \
    --hash=sha256:cb0932dc158471523c9637e807d9bfb93e06a95cbf010f1a38b98623b929ef2b \
    --hash=sha256:cd0f502fe016460680cd20aaa5a76d241d6f35a1c3350c474bac1273803893fa \
    --hash=sha256:ceb01949af7121f9fc39f7d27f91be8546f3fb112c608bc4029aef0bab86a2a5 \
    --hash=sha256:d080e0a5eb2529460b30190fcfcc4199bd7f827663f858a226a81bc27beaa97e \
    --hash=sha256:dd15ff04ffd7e05ffcb7fe79f1b98041b8ea30ae9234aed2a9168b5797c3effb \
    --hash=sha256:df0be2b576a7abbf737b1575f048c23fb1d769f267ec4358296f31c2479db8f9 \
    --hash=sha256:e09031c87a1e51556fdcb46e5bd4f59dfb743061cf93c4d6831bf894f125eb57 \
    --hash=sha256:e4dd52d80b8c83fdce44e12478ad2e85c64ea965e75d66dbeafb0a3e77308fcc \
    --hash=sha256:f698de3fd0c4e6972b92290a45bd9b1536bffe8c6759c62471efaa8acb4c37bc \
    --hash=sha256:fec21693218efe39aa7f8599346e90c705afa52c5b31ae019b2e57e8f6542bb2 \
    --hash=sha256:ffcc3f7c66b5f5b7931a5aa68fc9cecc51e685ef90282f4a82f0f5e9b704ad11
    # via
    #   -r requirements.in
    #   jinja2
mdit-py-plugins==0.3.4 \
    --hash=sha256:3278aab2e2b692539082f05e1243f24742194ffd92481f48844f057b51971283 \
    --hash=sha256:4f1441264ac5cb39fa40a5901921c2acf314ea098d75629750c138f80d552cdf
    # via -r requirements.in
mdurl==0.1.2 \
    --hash=sha256:84008a41e51615a49fc9966191ff91509e3c40b939176e643fd50a5c2196b8f8 \
    --hash=sha256:bb413d29f5eea38f31dd4754dd7377d4465116fb207585f97bf925588687c1ba
    # via markdown-it-py
pyyaml==6.0.1 \
    --hash=sha256:04ac92ad1925b2cff1db0cfebffb6ffc43457495c9b3c39d3fcae417d7125dc5 \
    --hash=sha256:062582fca9fabdd2c8b54a3ef1c978d786e0f6b3a1510e0ac93ef59e0ddae2bc \
    --hash=sha256:0d3304d8c0adc42be59c5f8a4d9e3d7379e6955ad754aa9d6ab7a398b59dd1df \
    --hash=sha256:1635fd110e8d85d55237ab316b5b011de701ea0f29d07611174a1b42f1444741 \
    --hash=sha256:184c5108a2aca3c5b3d3bf9395d50893a7ab82a38004c8f61c258d4428e80206 \
    --hash=sha256:18aeb1bf9a78867dc38b259769503436b7c72f7a1f1f4c93ff9a17de54319b27 \
    --hash=sha256:1d4c7e777c441b20e32f52bd377e0c409713e8bb1386e1099c2415f26e479595 \
    --hash=sha256:1e2722cc9fbb45d9b87631ac70924c11d3a401b2d7f410cc0e3bbf249f2dca62 \
    --hash=sha256:1fe35611261b29bd1de0070f0b2f47cb6ff71fa6595c077e42bd0c419fa27b98 \
    --hash=sha256:28c119d996beec18c05208a8bd78cbe4007878c6dd15091efb73a30e90539696 \
    --hash=sha256:326c013efe8048858a6d312ddd31d56e468118ad4cdeda36c719bf5bb6192290 \
    --hash=sha256:40df9b996c2b73138957fe23a16a4f0ba614f4c0efce1e9406a184b6d07fa3a9 \
    --hash=sha256:42f8152b8dbc4fe7d96729ec2b99c7097d656dc1213a3229ca5383f973a5ed6d \
    --hash=sha256:49a183be227561de579b4a36efbb21b3eab9651dd81b1858589f796549873dd6 \
    --hash=sha256:4fb147e7a67ef577a588a0e2c17b6db51dda102c71de36f8549b6816a96e1867 \
    --hash=sha256:50550eb667afee136e9a77d6dc71ae76a44df8b3e51e41b77f6de2932bfe0f47 \
    --hash=sha256:510c9deebc5c0225e8c96813043e62b680ba2f9c50a08d3724c7f28a747d1486 \
    --hash=sha256:5773183b6446b2c99bb77e77595dd486303b4faab2b086e7b17bc6bef28865f6 \
    --hash=sha256:596106435fa6ad000c2991a98fa58eeb8656ef2325d7e158344fb33864ed87e3 \
    --hash=sha256:6965a7bc3cf88e5a1c3bd2e0b5c22f8d677dc88a455344035f03399034eb3007 \
    --hash=sha256:69b023b2b4daa7548bcfbd4aa3da05b3a74b772db9e23b982788168117739938 \
    --hash=sha256:6c22bec3fbe2524cde73d7ada88f6566758a8f7227bfbf93a408a9d86bcc12a0 \
    --hash=sha256:704219a11b772aea0d8ecd7058d0082713c3562b4e271b849ad7dc4a5c90c13c \
    --hash=sha256:7e07cbde391ba96ab58e532ff4803f79c4129397514e1413a7dc761ccd755735 \
    --hash=sha256:81e0b275a9ecc9c0c0c07b4b90ba548307583c125f54d5b6946cfee6360c733d \
    --hash=sha256:855fb52b0dc35af121542a76b9a84f8d1cd886ea97c84703eaa6d88e37a2ad28 \
    --hash=sha256:8d4e9c88387b0f5c7d5f281e55304de64cf7f9c0021a3525bd3b1c542da3b0e4 \
    --hash=sha256:9046c58c4395dff28dd494285c82ba00b546adfc7ef001486fbf0324bc174fba \
    --hash=sha256:9eb6caa9a297fc2c2fb8862bc5370d0303ddba53ba97e71f08023b6cd73d16a8 \
    --hash=sha256:a08c6f0fe150303c1c6b71ebcd7213c2858041a7e01975da3a99aed1e7a378ef \
    --hash=sha256:a0cd17c15d3bb3fa06978b4e8958dcdc6e0174ccea823003a106c7d4d7899ac5 \
    --hash=sha256:afd7e57eddb1a54f0f1a974bc4391af8bcce0b444685d936840f125cf046d5bd \
    --hash=sha256:b1275ad35a5d18c62a7220633c913e1b42d44b46ee12554e5fd39c70a243d6a3 \
    --hash=sha256:b786eecbdf8499b9ca1d697215862083bd6d2a99965554781d0d8d1ad31e13a0 \
    --hash=sha256:ba336e390cd8e4d1739f42dfe9bb83a3cc2e80f567d8805e11b46f4a943f5515 \
    --hash=sha256:baa90d3f661d43131ca170712d903e6295d1f7a0f595074f151c0aed377c9b9c \
    --hash=sha256:bc1bf2925a1ecd43da378f4db9e4f799775d6367bdb94671027b73b393a7c42c \
    --hash=sha256:bd4af7373a854424dabd882decdc5579653d7868b8fb26dc7d0e99f823aa5924 \
    --hash=sha256:bf07ee2fef7014951eeb99f56f39c9bb4af143d8aa3c21b1677805985307da34 \
    --hash=sha256:bfdf460b1736c775f2ba9f6a92bca30bc2095067b8a9d77876d1fad6cc3b4a43 \
    --hash=sha256:c8098ddcc2a85b61647b2590f825f3db38891662cfc2fc776415143f599bb859 \
    --hash=sha256:d2b04aac4d386b172d5b9692e2d2da8de7bfb6c387fa4f801fbf6fb2e6ba4673 \
    --hash=sha256:d483d2cdf104e7c9fa60c544d92981f12ad66a457afae824d146093b8c294c54 \
    --hash=sha256:d858aa552c999bc8a8d57426ed01e40bef403cd8ccdd0fc5f6f04a00414cac2a \
    --hash=sha256:e7d73685e87afe9f3b36c799222440d6cf362062f78be1013661b00c5c6f678b \
    --hash=sha256:f003ed9ad21d6a4713f0a9b5a7a0a79e08dd0f221aff4525a2be4c346ee60aab \
    --hash=sha256:f22ac1c3cac4dbc50079e965eba2c1058622631e526bd9afd45fedd49ba781fa \
    --hash=sha256:faca3bdcf85b2fc05d06ff3fbc1f83e1391b3e724afa3feba7d13eeab355484c \
    --hash=sha256:fca0e3a251908a499833aa292323f32437106001d436eca0e6e7833256674585 \
    --hash=sha256:fd1592b3fdf65fff2ad0004b5e363300ef59ced41c2e6b3a99d4089fa8c5435d \
    --hash=sha256:fd66fc5d0da6d9815ba2cebeb4205f95818ff4b79c3ebe268e75d961704af52f
    # via -r requirements.in
smmap==5.0.1 \
    --hash=sha256:dceeb6c0028fdb6734471eb07c0cd2aae706ccaecab45965ee83f11c8d3b1f62 \
    --hash=sha256:e6d8668fa5f93e706934a62d7b4db19c8d9eb8cf2adbb75ef1b675aa332b69da
    # via gitdb
tabulate==0.8.10 \
    --hash=sha256:0ba055423dbaa164b9e456abe7920c5e8ed33fcc16f6d1b2f2d152c8e1e8b4fc \
    --hash=sha256:6c57f3f3dd7ac2782770155f3adb2db0b1a269637e42f27599925e64b114f519
    # via -r requirements.in
typing-extensions==3.7.4.3 \
    --hash=sha256:7cb407020f00f7bfc3cb3e7881628838e69d8f3fcab2f64742a5e76b2f841918 \

=== src/common/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

include(CheckSymbolExists)

# initialize to avoid --warn-uninitialized report
set(_COMMON_OBJS "")
set(_INTERNAL_OBJS "")

if(CMAKE_C_COMPILER_ID STREQUAL "GNU" OR
   CMAKE_C_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wbad-function-cast)
endif()
if(CMAKE_C_COMPILER_ID MATCHES "Clang")
    add_compile_options(-Wcast-qual)
    add_compile_options(-Wnarrowing)
    add_compile_options(-Wconversion)
endif()

set(OSSL_HELPERS "")

if(${OQS_USE_AES_OPENSSL})
    set(AES_IMPL aes/aes_ossl.c)
    set(OSSL_HELPERS ossl_helpers.c)
else()
   set(AES_IMPL aes/aes_impl.c aes/aes_c.c)
   if (OQS_DIST_X86_64_BUILD OR OQS_USE_AES_INSTRUCTIONS)
      set(AES_IMPL ${AES_IMPL} aes/aes128_ni.c)
      set(AES_IMPL ${AES_IMPL} aes/aes256_ni.c)
      set_source_files_properties(aes/aes128_ni.c PROPERTIES COMPILE_FLAGS "-maes -mssse3")
      set_source_files_properties(aes/aes256_ni.c PROPERTIES COMPILE_FLAGS "-maes -mssse3")
   elseif (OQS_DIST_ARM64_V8_BUILD)
      set(AES_IMPL ${AES_IMPL} aes/aes128_armv8.c)
      set(AES_IMPL ${AES_IMPL} aes/aes256_armv8.c)
      set_source_files_properties(aes/aes128_armv8.c PROPERTIES COMPILE_FLAGS -mcpu=cortex-a53+crypto)
      set_source_files_properties(aes/aes256_armv8.c PROPERTIES COMPILE_FLAGS -mcpu=cortex-a53+crypto)
   elseif (OQS_USE_ARM_AES_INSTRUCTIONS)
      set(AES_IMPL ${AES_IMPL} aes/aes128_armv8.c)
      set(AES_IMPL ${AES_IMPL} aes/aes256_armv8.c)
       if ((CMAKE_SYSTEM_NAME MATCHES "Darwin") AND (${CMAKE_C_COMPILER_ID} STREQUAL "GNU"))
         set_source_files_properties(aes/aes128_armv8.c PROPERTIES COMPILE_FLAGS -march=armv8-a+crypto)
         set_source_files_properties(aes/aes256_armv8.c PROPERTIES COMPILE_FLAGS -march=armv8-a+crypto)
       endif()
   endif()
endif()

if(${OQS_USE_SHA2_OPENSSL})
    set(SHA2_IMPL sha2/sha2_ossl.c)
    set(OSSL_HELPERS ossl_helpers.c)
else()
    set(SHA2_IMPL sha2/sha2_impl.c sha2/sha2_c.c)
    if (OQS_DIST_ARM64_V8_BUILD)
       set(SHA2_IMPL ${SHA2_IMPL} sha2/sha2_armv8.c)
       set_source_files_properties(sha2/sha2_armv8.c PROPERTIES COMPILE_FLAGS -mcpu=cortex-a53+crypto)
    elseif (OQS_USE_ARM_SHA2_INSTRUCTIONS)
       # Assume we are compiling native
       set(SHA2_IMPL ${SHA2_IMPL} sha2/sha2_armv8.c)
       if ((CMAKE_SYSTEM_NAME MATCHES "Darwin") AND (${CMAKE_C_COMPILER_ID} STREQUAL "GNU"))
         set_source_files_properties(sha2/sha2_armv8.c PROPERTIES COMPILE_FLAGS -march=armv8-a+crypto)
       endif()
    endif()
endif()

if(${OQS_USE_SHA3_OPENSSL})
    if (${OQS_ENABLE_SHA3_xkcp_low})
        add_subdirectory(sha3/xkcp_low)
    endif()
    set(SHA3_IMPL sha3/ossl_sha3.c sha3/ossl_sha3x4.c)
    set(OSSL_HELPERS ossl_helpers.c)
else() # using XKCP
    add_subdirectory(sha3/xkcp_low)
    set(SHA3_IMPL sha3/xkcp_sha3.c sha3/xkcp_sha3x4.c)
    if(OQS_USE_SHA3_AVX512VL)
      # also build avx512vl modules
      add_subdirectory(sha3/avx512vl_low)
      list(APPEND SHA3_IMPL sha3/avx512vl_sha3.c sha3/avx512vl_sha3x4.c)
    endif()
endif()

if ((OQS_LIBJADE_BUILD STREQUAL "ON"))
    set(LIBJADE_RANDOMBYTES libjade_shims/libjade_randombytes.c)
else()
    set(LIBJADE_RANDOMBYTES "")
endif()

add_library(common OBJECT ${AES_IMPL} aes/aes.c
                          ${SHA2_IMPL} sha2/sha2.c
                          ${SHA3_IMPL} sha3/sha3.c sha3/sha3x4.c
                          ${OSSL_HELPERS}
                          common.c
                          pqclean_shims/fips202.c
                          pqclean_shims/fips202x4.c
                          ${LIBJADE_RANDOMBYTES}
                          rand/rand.c)

# Implementations of the internal API to be exposed to test programs
add_library(internal OBJECT ${AES_IMPL} aes/aes.c
                            ${SHA2_IMPL} sha2/sha2.c
                            ${SHA3_IMPL} sha3/sha3.c sha3/sha3x4.c
                            ${OSSL_HELPERS}
                            common.c
                            rand/rand_nist.c)
set_property(TARGET internal PROPERTY C_VISIBILITY_PRESET default)

if(${OQS_USE_OPENSSL})
    target_include_directories(common PRIVATE ${OPENSSL_INCLUDE_DIR})
    target_include_directories(internal PRIVATE ${OPENSSL_INCLUDE_DIR})
else()
    check_symbol_exists(getentropy "unistd.h" CMAKE_UNISTD_HAVE_GETENTROPY)
    check_symbol_exists(getentropy "sys/random.h" CMAKE_SYS_RANDOM_HAVE_GETENTROPY)
    if("${CMAKE_UNISTD_HAVE_GETENTROPY}" OR "${CMAKE_SYS_RANDOM_HAVE_GETENTROPY}")
        target_compile_definitions(common PRIVATE OQS_HAVE_GETENTROPY)
        target_compile_definitions(internal PRIVATE OQS_HAVE_GETENTROPY)
    endif()
endif()
if(OQS_USE_PTHREADS)
    target_link_libraries(common PRIVATE Threads::Threads)
    target_link_libraries(internal PRIVATE Threads::Threads)
endif()

# check available functions to perform aligned mallocs
check_symbol_exists(aligned_alloc stdlib.h CMAKE_HAVE_ALIGNED_ALLOC)
check_symbol_exists(posix_memalign stdlib.h CMAKE_HAVE_POSIX_MEMALIGN)
check_symbol_exists(memalign malloc.h CMAKE_HAVE_MEMALIGN)

if(CMAKE_HAVE_ALIGNED_ALLOC)
    target_compile_definitions(common PRIVATE OQS_HAVE_ALIGNED_ALLOC)
    target_compile_definitions(internal PRIVATE OQS_HAVE_ALIGNED_ALLOC)
endif()

if(CMAKE_HAVE_POSIX_MEMALIGN)
    target_compile_definitions(common PRIVATE OQS_HAVE_POSIX_MEMALIGN)
    target_compile_definitions(internal PRIVATE OQS_HAVE_POSIX_MEMALIGN)
endif()

if(CMAKE_HAVE_MEMALIGN)
    target_compile_definitions(common PRIVATE OQS_HAVE_MEMALIGN)
    target_compile_definitions(internal PRIVATE OQS_HAVE_MEMALIGN)
endif()

# check if explicit_bzero, or explicit_memset exists or memset_s
check_symbol_exists(explicit_bzero string.h CMAKE_HAVE_EXPLICIT_BZERO)
check_symbol_exists(explicit_memset string.h CMAKE_HAVE_EXPLICIT_MEMSET)
check_symbol_exists(memset_s string.h CMAKE_HAVE_MEMSET_S)

if(CMAKE_HAVE_EXPLICIT_BZERO)
    target_compile_definitions(common PRIVATE OQS_HAVE_EXPLICIT_BZERO)
    target_compile_definitions(internal PRIVATE OQS_HAVE_EXPLICIT_BZERO)
endif()

if(CMAKE_HAVE_EXPLICIT_MEMSET)
    target_compile_definitions(common PRIVATE OQS_HAVE_EXPLICIT_MEMSET)
    target_compile_definitions(internal PRIVATE OQS_HAVE_EXPLICIT_MEMSET)
endif()

if(CMAKE_HAVE_MEMSET_S)
    target_compile_definitions(common PRIVATE OQS_HAVE_MEMSET_S)
    target_compile_definitions(internal PRIVATE OQS_HAVE_MEMSET_S)
endif()

if(${OQS_ENABLE_SHA3_xkcp_low}) # using XKCP
    set(_COMMON_OBJS ${_COMMON_OBJS} ${XKCP_LOW_OBJS})
    set(_INTERNAL_OBJS ${_INTERNAL_OBJS} ${XKCP_LOW_OBJS})
endif()

if(${OQS_USE_SHA3_AVX512VL})
    set(_COMMON_OBJS ${_COMMON_OBJS} ${SHA3_AVX512VL_LOW_OBJS})
    set(_INTERNAL_OBJS ${_INTERNAL_OBJS} ${SHA3_AVX512VL_LOW_OBJS})
endif()

set(_COMMON_OBJS ${_COMMON_OBJS} $<TARGET_OBJECTS:common>)
set(COMMON_OBJS ${_COMMON_OBJS} PARENT_SCOPE)
set(_INTERNAL_OBJS ${_INTERNAL_OBJS} $<TARGET_OBJECTS:internal>)
set(INTERNAL_OBJS ${_INTERNAL_OBJS} PARENT_SCOPE)

=== src/kem/frodokem/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

set(_FRODOKEM_OBJS "")

if(OQS_ENABLE_KEM_frodokem_640_aes)
    set(SRCS kem_frodokem640aes.c external/frodo640aes.c)
endif()
if(OQS_ENABLE_KEM_frodokem_640_shake)
    set(SRCS ${SRCS} kem_frodokem640shake.c external/frodo640shake.c)
endif()

if(OQS_ENABLE_KEM_frodokem_976_aes)
    set(SRCS ${SRCS} kem_frodokem976aes.c external/frodo976aes.c)
endif()
if(OQS_ENABLE_KEM_frodokem_976_shake)
    set(SRCS ${SRCS} kem_frodokem976shake.c external/frodo976shake.c)
endif()

if(OQS_ENABLE_KEM_frodokem_1344_aes)
    set(SRCS ${SRCS} kem_frodokem1344aes.c external/frodo1344aes.c)
endif()
if(OQS_ENABLE_KEM_frodokem_1344_shake)
    set(SRCS ${SRCS} kem_frodokem1344shake.c external/frodo1344shake.c)
endif()

add_library(frodokem OBJECT ${SRCS})
set(_FRODOKEM_OBJS ${_FRODOKEM_OBJS} $<TARGET_OBJECTS:frodokem>)

set(SRCS_AVX2 "")
if(OQS_DIST_X86_64_BUILD OR OQS_USE_AVX2_INSTRUCTIONS)
    if(OQS_ENABLE_KEM_frodokem_640_aes)
        set(SRCS_AVX2 ${SRCS_AVX2} external/frodo640aes_avx2.c)
    endif()
    if(OQS_ENABLE_KEM_frodokem_976_aes)
        set(SRCS_AVX2 ${SRCS_AVX2} external/frodo976aes_avx2.c)
    endif()
    if(OQS_ENABLE_KEM_frodokem_1344_aes)
        set(SRCS_AVX2 ${SRCS_AVX2} external/frodo1344aes_avx2.c)
    endif()

    if(OQS_ENABLE_KEM_frodokem_640_shake)
        set(SRCS_AVX2 ${SRCS_AVX2} external/frodo640shake_avx2.c)
    endif()
    if(OQS_ENABLE_KEM_frodokem_976_shake)
        set(SRCS_AVX2 ${SRCS_AVX2} external/frodo976shake_avx2.c)
    endif()
    if(OQS_ENABLE_KEM_frodokem_1344_shake)
        set(SRCS_AVX2 ${SRCS_AVX2} external/frodo1344shake_avx2.c)
    endif()

    add_library(frodokem_avx2 OBJECT ${SRCS_AVX2})
    target_compile_options(frodokem_avx2 PRIVATE -mavx2)
    set(_FRODOKEM_OBJS ${_FRODOKEM_OBJS} $<TARGET_OBJECTS:frodokem_avx2>)
endif()

set(FRODOKEM_OBJS ${_FRODOKEM_OBJS} PARENT_SCOPE)

=== src/kem/hqc/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# This file was generated by
# scripts/copy_from_upstream/copy_from_upstream.py

set(_HQC_OBJS "")

if(OQS_ENABLE_KEM_hqc_128)
    add_library(hqc_128_clean OBJECT kem_hqc_128.c pqclean_hqc-128_clean/code.c pqclean_hqc-128_clean/fft.c pqclean_hqc-128_clean/gf.c pqclean_hqc-128_clean/gf2x.c pqclean_hqc-128_clean/hqc.c pqclean_hqc-128_clean/kem.c pqclean_hqc-128_clean/parsing.c pqclean_hqc-128_clean/reed_muller.c pqclean_hqc-128_clean/reed_solomon.c pqclean_hqc-128_clean/shake_ds.c pqclean_hqc-128_clean/shake_prng.c pqclean_hqc-128_clean/vector.c)
    target_include_directories(hqc_128_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_hqc-128_clean)
    target_include_directories(hqc_128_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(hqc_128_clean PRIVATE -O0)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(hqc_128_clean PRIVATE old_gas_syntax)
    endif()
    set(_HQC_OBJS ${_HQC_OBJS} $<TARGET_OBJECTS:hqc_128_clean>)
endif()

if(OQS_ENABLE_KEM_hqc_192)
    add_library(hqc_192_clean OBJECT kem_hqc_192.c pqclean_hqc-192_clean/code.c pqclean_hqc-192_clean/fft.c pqclean_hqc-192_clean/gf.c pqclean_hqc-192_clean/gf2x.c pqclean_hqc-192_clean/hqc.c pqclean_hqc-192_clean/kem.c pqclean_hqc-192_clean/parsing.c pqclean_hqc-192_clean/reed_muller.c pqclean_hqc-192_clean/reed_solomon.c pqclean_hqc-192_clean/shake_ds.c pqclean_hqc-192_clean/shake_prng.c pqclean_hqc-192_clean/vector.c)
    target_include_directories(hqc_192_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_hqc-192_clean)
    target_include_directories(hqc_192_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(hqc_192_clean PRIVATE -O0)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(hqc_192_clean PRIVATE old_gas_syntax)
    endif()
    set(_HQC_OBJS ${_HQC_OBJS} $<TARGET_OBJECTS:hqc_192_clean>)
endif()

if(OQS_ENABLE_KEM_hqc_256)
    add_library(hqc_256_clean OBJECT kem_hqc_256.c pqclean_hqc-256_clean/code.c pqclean_hqc-256_clean/fft.c pqclean_hqc-256_clean/gf.c pqclean_hqc-256_clean/gf2x.c pqclean_hqc-256_clean/hqc.c pqclean_hqc-256_clean/kem.c pqclean_hqc-256_clean/parsing.c pqclean_hqc-256_clean/reed_muller.c pqclean_hqc-256_clean/reed_solomon.c pqclean_hqc-256_clean/shake_ds.c pqclean_hqc-256_clean/shake_prng.c pqclean_hqc-256_clean/vector.c)
    target_include_directories(hqc_256_clean PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqclean_hqc-256_clean)
    target_include_directories(hqc_256_clean PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(hqc_256_clean PRIVATE -O0)
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions(hqc_256_clean PRIVATE old_gas_syntax)
    endif()
    set(_HQC_OBJS ${_HQC_OBJS} $<TARGET_OBJECTS:hqc_256_clean>)
endif()

set(HQC_OBJS ${_HQC_OBJS} PARENT_SCOPE)

=== src/kem/ml_kem/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# This file was generated by
# scripts/copy_from_upstream/copy_from_upstream.py

set(_ML_KEM_OBJS "")

if(OQS_ENABLE_KEM_ml_kem_512)
    add_library(ml_kem_512_ref OBJECT kem_ml_kem_512.c mlkem-native_ml-kem-512_ref/mlkem/src/compress.c mlkem-native_ml-kem-512_ref/mlkem/src/debug.c mlkem-native_ml-kem-512_ref/mlkem/src/indcpa.c mlkem-native_ml-kem-512_ref/mlkem/src/kem.c mlkem-native_ml-kem-512_ref/mlkem/src/poly.c mlkem-native_ml-kem-512_ref/mlkem/src/poly_k.c mlkem-native_ml-kem-512_ref/mlkem/src/sampling.c mlkem-native_ml-kem-512_ref/mlkem/src/verify.c)
    target_compile_options(ml_kem_512_ref PUBLIC -DMLK_CONFIG_PARAMETER_SET=512 -DMLK_CONFIG_FILE="../../integration/liboqs/config_c.h")
    target_include_directories(ml_kem_512_ref PRIVATE ${CMAKE_CURRENT_LIST_DIR}/mlkem-native_ml-kem-512_ref)
    target_include_directories(ml_kem_512_ref PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(ml_kem_512_ref PUBLIC -DMLK_CONFIG_PARAMETER_SET=512 -DMLK_CONFIG_FILE="../../integration/liboqs/config_c.h")
    set(_ML_KEM_OBJS ${_ML_KEM_OBJS} $<TARGET_OBJECTS:ml_kem_512_ref>)
endif()

if(OQS_ENABLE_KEM_ml_kem_512_x86_64)
    add_library(ml_kem_512_x86_64 OBJECT mlkem-native_ml-kem-512_x86_64/mlkem/src/compress.c mlkem-native_ml-kem-512_x86_64/mlkem/src/debug.c mlkem-native_ml-kem-512_x86_64/mlkem/src/indcpa.c mlkem-native_ml-kem-512_x86_64/mlkem/src/kem.c mlkem-native_ml-kem-512_x86_64/mlkem/src/native/x86_64/src/basemul.c mlkem-native_ml-kem-512_x86_64/mlkem/src/native/x86_64/src/basemul.S mlkem-native_ml-kem-512_x86_64/mlkem/src/native/x86_64/src/compress_avx2.c mlkem-native_ml-kem-512_x86_64/mlkem/src/native/x86_64/src/consts.c mlkem-native_ml-kem-512_x86_64/mlkem/src/native/x86_64/src/intt.S mlkem-native_ml-kem-512_x86_64/mlkem/src/native/x86_64/src/mulcache_compute.S mlkem-native_ml-kem-512_x86_64/mlkem/src/native/x86_64/src/ntt.S mlkem-native_ml-kem-512_x86_64/mlkem/src/native/x86_64/src/nttfrombytes.S mlkem-native_ml-kem-512_x86_64/mlkem/src/native/x86_64/src/ntttobytes.S mlkem-native_ml-kem-512_x86_64/mlkem/src/native/x86_64/src/nttunpack.S mlkem-native_ml-kem-512_x86_64/mlkem/src/native/x86_64/src/reduce.S mlkem-native_ml-kem-512_x86_64/mlkem/src/native/x86_64/src/rej_uniform_avx2.c mlkem-native_ml-kem-512_x86_64/mlkem/src/native/x86_64/src/rej_uniform_table.c mlkem-native_ml-kem-512_x86_64/mlkem/src/native/x86_64/src/tomont.S mlkem-native_ml-kem-512_x86_64/mlkem/src/poly.c mlkem-native_ml-kem-512_x86_64/mlkem/src/poly_k.c mlkem-native_ml-kem-512_x86_64/mlkem/src/sampling.c mlkem-native_ml-kem-512_x86_64/mlkem/src/verify.c)
    target_include_directories(ml_kem_512_x86_64 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/mlkem-native_ml-kem-512_x86_64)
    target_include_directories(ml_kem_512_x86_64 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(ml_kem_512_x86_64 PRIVATE  -mavx2  -mbmi2  -mpopcnt )
    target_compile_options(ml_kem_512_x86_64 PUBLIC -DMLK_CONFIG_PARAMETER_SET=512 -DMLK_CONFIG_FILE="../../integration/liboqs/config_x86_64.h")
    set(_ML_KEM_OBJS ${_ML_KEM_OBJS} $<TARGET_OBJECTS:ml_kem_512_x86_64>)
endif()

if(OQS_ENABLE_KEM_ml_kem_512_aarch64)
    add_library(ml_kem_512_aarch64 OBJECT mlkem-native_ml-kem-512_aarch64/mlkem/src/compress.c mlkem-native_ml-kem-512_aarch64/mlkem/src/debug.c mlkem-native_ml-kem-512_aarch64/mlkem/src/indcpa.c mlkem-native_ml-kem-512_aarch64/mlkem/src/kem.c mlkem-native_ml-kem-512_aarch64/mlkem/src/native/aarch64/src/aarch64_zetas.c mlkem-native_ml-kem-512_aarch64/mlkem/src/native/aarch64/src/intt.S mlkem-native_ml-kem-512_aarch64/mlkem/src/native/aarch64/src/ntt.S mlkem-native_ml-kem-512_aarch64/mlkem/src/native/aarch64/src/poly_mulcache_compute_asm.S mlkem-native_ml-kem-512_aarch64/mlkem/src/native/aarch64/src/poly_reduce_asm.S mlkem-native_ml-kem-512_aarch64/mlkem/src/native/aarch64/src/poly_tobytes_asm.S mlkem-native_ml-kem-512_aarch64/mlkem/src/native/aarch64/src/poly_tomont_asm.S mlkem-native_ml-kem-512_aarch64/mlkem/src/native/aarch64/src/polyvec_basemul_acc_montgomery_cached_asm_k2.S mlkem-native_ml-kem-512_aarch64/mlkem/src/native/aarch64/src/polyvec_basemul_acc_montgomery_cached_asm_k3.S mlkem-native_ml-kem-512_aarch64/mlkem/src/native/aarch64/src/polyvec_basemul_acc_montgomery_cached_asm_k4.S mlkem-native_ml-kem-512_aarch64/mlkem/src/native/aarch64/src/rej_uniform_asm.S mlkem-native_ml-kem-512_aarch64/mlkem/src/native/aarch64/src/rej_uniform_table.c mlkem-native_ml-kem-512_aarch64/mlkem/src/poly.c mlkem-native_ml-kem-512_aarch64/mlkem/src/poly_k.c mlkem-native_ml-kem-512_aarch64/mlkem/src/sampling.c mlkem-native_ml-kem-512_aarch64/mlkem/src/verify.c)
    target_include_directories(ml_kem_512_aarch64 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/mlkem-native_ml-kem-512_aarch64)
    target_include_directories(ml_kem_512_aarch64 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(ml_kem_512_aarch64 PUBLIC -DMLK_CONFIG_PARAMETER_SET=512 -DMLK_CONFIG_FILE="../../integration/liboqs/config_aarch64.h")
    set(_ML_KEM_OBJS ${_ML_KEM_OBJS} $<TARGET_OBJECTS:ml_kem_512_aarch64>)
endif()

if(OQS_ENABLE_KEM_ml_kem_512_cuda)
    add_library(ml_kem_512_cuda OBJECT cupqc_ml-kem-512_cuda/cupqc_ml-kem.cu)
    target_link_libraries(ml_kem_512_cuda cupqc)
    set_property(TARGET ml_kem_512_cuda PROPERTY CUDA_ARCHITECTURES OFF)
    target_compile_options(ml_kem_512_cuda PRIVATE $<$<COMPILE_LANGUAGE:CUDA>:-rdc=true -dlto -arch=compute_70>)
    set(_ML_KEM_OBJS ${_ML_KEM_OBJS} $<TARGET_OBJECTS:ml_kem_512_cuda>)
endif()

if(OQS_ENABLE_KEM_ml_kem_768)
    add_library(ml_kem_768_ref OBJECT kem_ml_kem_768.c mlkem-native_ml-kem-768_ref/mlkem/src/compress.c mlkem-native_ml-kem-768_ref/mlkem/src/debug.c mlkem-native_ml-kem-768_ref/mlkem/src/indcpa.c mlkem-native_ml-kem-768_ref/mlkem/src/kem.c mlkem-native_ml-kem-768_ref/mlkem/src/poly.c mlkem-native_ml-kem-768_ref/mlkem/src/poly_k.c mlkem-native_ml-kem-768_ref/mlkem/src/sampling.c mlkem-native_ml-kem-768_ref/mlkem/src/verify.c)
    target_compile_options(ml_kem_768_ref PUBLIC -DMLK_CONFIG_PARAMETER_SET=768 -DMLK_CONFIG_FILE="../../integration/liboqs/config_c.h")
    target_include_directories(ml_kem_768_ref PRIVATE ${CMAKE_CURRENT_LIST_DIR}/mlkem-native_ml-kem-768_ref)
    target_include_directories(ml_kem_768_ref PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(ml_kem_768_ref PUBLIC -DMLK_CONFIG_PARAMETER_SET=768 -DMLK_CONFIG_FILE="../../integration/liboqs/config_c.h")
    set(_ML_KEM_OBJS ${_ML_KEM_OBJS} $<TARGET_OBJECTS:ml_kem_768_ref>)
endif()

if(OQS_ENABLE_KEM_ml_kem_768_x86_64)
    add_library(ml_kem_768_x86_64 OBJECT mlkem-native_ml-kem-768_x86_64/mlkem/src/compress.c mlkem-native_ml-kem-768_x86_64/mlkem/src/debug.c mlkem-native_ml-kem-768_x86_64/mlkem/src/indcpa.c mlkem-native_ml-kem-768_x86_64/mlkem/src/kem.c mlkem-native_ml-kem-768_x86_64/mlkem/src/native/x86_64/src/basemul.c mlkem-native_ml-kem-768_x86_64/mlkem/src/native/x86_64/src/basemul.S mlkem-native_ml-kem-768_x86_64/mlkem/src/native/x86_64/src/compress_avx2.c mlkem-native_ml-kem-768_x86_64/mlkem/src/native/x86_64/src/consts.c mlkem-native_ml-kem-768_x86_64/mlkem/src/native/x86_64/src/intt.S mlkem-native_ml-kem-768_x86_64/mlkem/src/native/x86_64/src/mulcache_compute.S mlkem-native_ml-kem-768_x86_64/mlkem/src/native/x86_64/src/ntt.S mlkem-native_ml-kem-768_x86_64/mlkem/src/native/x86_64/src/nttfrombytes.S mlkem-native_ml-kem-768_x86_64/mlkem/src/native/x86_64/src/ntttobytes.S mlkem-native_ml-kem-768_x86_64/mlkem/src/native/x86_64/src/nttunpack.S mlkem-native_ml-kem-768_x86_64/mlkem/src/native/x86_64/src/reduce.S mlkem-native_ml-kem-768_x86_64/mlkem/src/native/x86_64/src/rej_uniform_avx2.c mlkem-native_ml-kem-768_x86_64/mlkem/src/native/x86_64/src/rej_uniform_table.c mlkem-native_ml-kem-768_x86_64/mlkem/src/native/x86_64/src/tomont.S mlkem-native_ml-kem-768_x86_64/mlkem/src/poly.c mlkem-native_ml-kem-768_x86_64/mlkem/src/poly_k.c mlkem-native_ml-kem-768_x86_64/mlkem/src/sampling.c mlkem-native_ml-kem-768_x86_64/mlkem/src/verify.c)
    target_include_directories(ml_kem_768_x86_64 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/mlkem-native_ml-kem-768_x86_64)
    target_include_directories(ml_kem_768_x86_64 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(ml_kem_768_x86_64 PRIVATE  -mavx2  -mbmi2  -mpopcnt )
    target_compile_options(ml_kem_768_x86_64 PUBLIC -DMLK_CONFIG_PARAMETER_SET=768 -DMLK_CONFIG_FILE="../../integration/liboqs/config_x86_64.h")
    set(_ML_KEM_OBJS ${_ML_KEM_OBJS} $<TARGET_OBJECTS:ml_kem_768_x86_64>)
endif()

if(OQS_ENABLE_KEM_ml_kem_768_aarch64)
    add_library(ml_kem_768_aarch64 OBJECT mlkem-native_ml-kem-768_aarch64/mlkem/src/compress.c mlkem-native_ml-kem-768_aarch64/mlkem/src/debug.c mlkem-native_ml-kem-768_aarch64/mlkem/src/indcpa.c mlkem-native_ml-kem-768_aarch64/mlkem/src/kem.c mlkem-native_ml-kem-768_aarch64/mlkem/src/native/aarch64/src/aarch64_zetas.c mlkem-native_ml-kem-768_aarch64/mlkem/src/native/aarch64/src/intt.S mlkem-native_ml-kem-768_aarch64/mlkem/src/native/aarch64/src/ntt.S mlkem-native_ml-kem-768_aarch64/mlkem/src/native/aarch64/src/poly_mulcache_compute_asm.S mlkem-native_ml-kem-768_aarch64/mlkem/src/native/aarch64/src/poly_reduce_asm.S mlkem-native_ml-kem-768_aarch64/mlkem/src/native/aarch64/src/poly_tobytes_asm.S mlkem-native_ml-kem-768_aarch64/mlkem/src/native/aarch64/src/poly_tomont_asm.S mlkem-native_ml-kem-768_aarch64/mlkem/src/native/aarch64/src/polyvec_basemul_acc_montgomery_cached_asm_k2.S mlkem-native_ml-kem-768_aarch64/mlkem/src/native/aarch64/src/polyvec_basemul_acc_montgomery_cached_asm_k3.S mlkem-native_ml-kem-768_aarch64/mlkem/src/native/aarch64/src/polyvec_basemul_acc_montgomery_cached_asm_k4.S mlkem-native_ml-kem-768_aarch64/mlkem/src/native/aarch64/src/rej_uniform_asm.S mlkem-native_ml-kem-768_aarch64/mlkem/src/native/aarch64/src/rej_uniform_table.c mlkem-native_ml-kem-768_aarch64/mlkem/src/poly.c mlkem-native_ml-kem-768_aarch64/mlkem/src/poly_k.c mlkem-native_ml-kem-768_aarch64/mlkem/src/sampling.c mlkem-native_ml-kem-768_aarch64/mlkem/src/verify.c)
    target_include_directories(ml_kem_768_aarch64 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/mlkem-native_ml-kem-768_aarch64)
    target_include_directories(ml_kem_768_aarch64 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(ml_kem_768_aarch64 PUBLIC -DMLK_CONFIG_PARAMETER_SET=768 -DMLK_CONFIG_FILE="../../integration/liboqs/config_aarch64.h")
    set(_ML_KEM_OBJS ${_ML_KEM_OBJS} $<TARGET_OBJECTS:ml_kem_768_aarch64>)
endif()

if(OQS_ENABLE_KEM_ml_kem_768_cuda)
    add_library(ml_kem_768_cuda OBJECT cupqc_ml-kem-768_cuda/cupqc_ml-kem.cu)
    target_link_libraries(ml_kem_768_cuda cupqc)
    set_property(TARGET ml_kem_768_cuda PROPERTY CUDA_ARCHITECTURES OFF)
    target_compile_options(ml_kem_768_cuda PRIVATE $<$<COMPILE_LANGUAGE:CUDA>:-rdc=true -dlto -arch=compute_70>)
    set(_ML_KEM_OBJS ${_ML_KEM_OBJS} $<TARGET_OBJECTS:ml_kem_768_cuda>)
endif()

if(OQS_ENABLE_KEM_ml_kem_1024)
    add_library(ml_kem_1024_ref OBJECT kem_ml_kem_1024.c mlkem-native_ml-kem-1024_ref/mlkem/src/compress.c mlkem-native_ml-kem-1024_ref/mlkem/src/debug.c mlkem-native_ml-kem-1024_ref/mlkem/src/indcpa.c mlkem-native_ml-kem-1024_ref/mlkem/src/kem.c mlkem-native_ml-kem-1024_ref/mlkem/src/poly.c mlkem-native_ml-kem-1024_ref/mlkem/src/poly_k.c mlkem-native_ml-kem-1024_ref/mlkem/src/sampling.c mlkem-native_ml-kem-1024_ref/mlkem/src/verify.c)
    target_compile_options(ml_kem_1024_ref PUBLIC -DMLK_CONFIG_PARAMETER_SET=1024 -DMLK_CONFIG_FILE="../../integration/liboqs/config_c.h")
    target_include_directories(ml_kem_1024_ref PRIVATE ${CMAKE_CURRENT_LIST_DIR}/mlkem-native_ml-kem-1024_ref)
    target_include_directories(ml_kem_1024_ref PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(ml_kem_1024_ref PUBLIC -DMLK_CONFIG_PARAMETER_SET=1024 -DMLK_CONFIG_FILE="../../integration/liboqs/config_c.h")

=== src/sig/snova/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# This file was generated by
# scripts/copy_from_upstream/copy_from_upstream.py

set(_SNOVA_OBJS "")

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4)
    add_library(snova_SNOVA_24_5_4_opt OBJECT sig_snova_SNOVA_24_5_4.c snova_SNOVA_24_5_4_opt/oqs_snova.c snova_SNOVA_24_5_4_opt/snova.c snova_SNOVA_24_5_4_opt/snova_aes.c snova_SNOVA_24_5_4_opt/snova_common.c snova_SNOVA_24_5_4_opt/snova_shake.c)
    target_compile_options(snova_SNOVA_24_5_4_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
    target_include_directories(snova_SNOVA_24_5_4_opt PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_opt)
    target_include_directories(snova_SNOVA_24_5_4_opt PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_opt>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_avx2)
    add_library(snova_SNOVA_24_5_4_avx2 OBJECT snova_SNOVA_24_5_4_avx2/oqs_snova.c snova_SNOVA_24_5_4_avx2/snova.c snova_SNOVA_24_5_4_avx2/snova_aes.c snova_SNOVA_24_5_4_avx2/snova_common.c snova_SNOVA_24_5_4_avx2/snova_shake.c)
    target_include_directories(snova_SNOVA_24_5_4_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_avx2)
    target_include_directories(snova_SNOVA_24_5_4_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_avx2 PRIVATE -mavx2)
    target_compile_options(snova_SNOVA_24_5_4_avx2 PUBLIC -DOPTIMISATION=2 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_avx2>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_neon)
    add_library(snova_SNOVA_24_5_4_neon OBJECT snova_SNOVA_24_5_4_neon/oqs_snova.c snova_SNOVA_24_5_4_neon/snova.c snova_SNOVA_24_5_4_neon/snova_aes.c snova_SNOVA_24_5_4_neon/snova_common.c snova_SNOVA_24_5_4_neon/snova_shake.c)
    target_include_directories(snova_SNOVA_24_5_4_neon PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_neon)
    target_include_directories(snova_SNOVA_24_5_4_neon PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_neon PRIVATE)
    target_compile_options(snova_SNOVA_24_5_4_neon PUBLIC -DOPTIMISATION=2 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_neon>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_SHAKE)
    add_library(snova_SNOVA_24_5_4_SHAKE_opt OBJECT sig_snova_SNOVA_24_5_4_SHAKE.c snova_SNOVA_24_5_4_SHAKE_opt/oqs_snova.c snova_SNOVA_24_5_4_SHAKE_opt/snova.c snova_SNOVA_24_5_4_SHAKE_opt/snova_aes.c snova_SNOVA_24_5_4_SHAKE_opt/snova_common.c snova_SNOVA_24_5_4_SHAKE_opt/snova_shake.c)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=1 -DSNOVA_LIBOQS)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_opt PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_SHAKE_opt)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_opt PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=1 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_SHAKE_opt>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_SHAKE_avx2)
    add_library(snova_SNOVA_24_5_4_SHAKE_avx2 OBJECT snova_SNOVA_24_5_4_SHAKE_avx2/oqs_snova.c snova_SNOVA_24_5_4_SHAKE_avx2/snova.c snova_SNOVA_24_5_4_SHAKE_avx2/snova_aes.c snova_SNOVA_24_5_4_SHAKE_avx2/snova_common.c snova_SNOVA_24_5_4_SHAKE_avx2/snova_shake.c)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_SHAKE_avx2)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_avx2 PRIVATE -mavx2)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_avx2 PUBLIC -DOPTIMISATION=2 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=1 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_SHAKE_avx2>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_SHAKE_neon)
    add_library(snova_SNOVA_24_5_4_SHAKE_neon OBJECT snova_SNOVA_24_5_4_SHAKE_neon/oqs_snova.c snova_SNOVA_24_5_4_SHAKE_neon/snova.c snova_SNOVA_24_5_4_SHAKE_neon/snova_aes.c snova_SNOVA_24_5_4_SHAKE_neon/snova_common.c snova_SNOVA_24_5_4_SHAKE_neon/snova_shake.c)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_neon PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_SHAKE_neon)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_neon PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_neon PRIVATE)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_neon PUBLIC -DOPTIMISATION=2 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=1 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_SHAKE_neon>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_esk)
    add_library(snova_SNOVA_24_5_4_esk_opt OBJECT sig_snova_SNOVA_24_5_4_esk.c snova_SNOVA_24_5_4_esk_opt/oqs_snova.c snova_SNOVA_24_5_4_esk_opt/snova.c snova_SNOVA_24_5_4_esk_opt/snova_aes.c snova_SNOVA_24_5_4_esk_opt/snova_common.c snova_SNOVA_24_5_4_esk_opt/snova_shake.c)
    target_compile_options(snova_SNOVA_24_5_4_esk_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=0 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
    target_include_directories(snova_SNOVA_24_5_4_esk_opt PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_esk_opt)
    target_include_directories(snova_SNOVA_24_5_4_esk_opt PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_esk_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=0 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_esk_opt>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_esk_avx2)
    add_library(snova_SNOVA_24_5_4_esk_avx2 OBJECT snova_SNOVA_24_5_4_esk_avx2/oqs_snova.c snova_SNOVA_24_5_4_esk_avx2/snova.c snova_SNOVA_24_5_4_esk_avx2/snova_aes.c snova_SNOVA_24_5_4_esk_avx2/snova_common.c snova_SNOVA_24_5_4_esk_avx2/snova_shake.c)
    target_include_directories(snova_SNOVA_24_5_4_esk_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_esk_avx2)
    target_include_directories(snova_SNOVA_24_5_4_esk_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_esk_avx2 PRIVATE -mavx2)
    target_compile_options(snova_SNOVA_24_5_4_esk_avx2 PUBLIC -DOPTIMISATION=2 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=0 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_esk_avx2>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_esk_neon)
    add_library(snova_SNOVA_24_5_4_esk_neon OBJECT snova_SNOVA_24_5_4_esk_neon/oqs_snova.c snova_SNOVA_24_5_4_esk_neon/snova.c snova_SNOVA_24_5_4_esk_neon/snova_aes.c snova_SNOVA_24_5_4_esk_neon/snova_common.c snova_SNOVA_24_5_4_esk_neon/snova_shake.c)
    target_include_directories(snova_SNOVA_24_5_4_esk_neon PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_esk_neon)
    target_include_directories(snova_SNOVA_24_5_4_esk_neon PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_esk_neon PRIVATE)
    target_compile_options(snova_SNOVA_24_5_4_esk_neon PUBLIC -DOPTIMISATION=2 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=0 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_esk_neon>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_SHAKE_esk)
    add_library(snova_SNOVA_24_5_4_SHAKE_esk_opt OBJECT sig_snova_SNOVA_24_5_4_SHAKE_esk.c snova_SNOVA_24_5_4_SHAKE_esk_opt/oqs_snova.c snova_SNOVA_24_5_4_SHAKE_esk_opt/snova.c snova_SNOVA_24_5_4_SHAKE_esk_opt/snova_aes.c snova_SNOVA_24_5_4_SHAKE_esk_opt/snova_common.c snova_SNOVA_24_5_4_SHAKE_esk_opt/snova_shake.c)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_esk_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=0 -DPK_EXPAND_SHAKE=1 -DSNOVA_LIBOQS)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_esk_opt PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_SHAKE_esk_opt)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_esk_opt PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_esk_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=0 -DPK_EXPAND_SHAKE=1 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_SHAKE_esk_opt>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_SHAKE_esk_avx2)
    add_library(snova_SNOVA_24_5_4_SHAKE_esk_avx2 OBJECT snova_SNOVA_24_5_4_SHAKE_esk_avx2/oqs_snova.c snova_SNOVA_24_5_4_SHAKE_esk_avx2/snova.c snova_SNOVA_24_5_4_SHAKE_esk_avx2/snova_aes.c snova_SNOVA_24_5_4_SHAKE_esk_avx2/snova_common.c snova_SNOVA_24_5_4_SHAKE_esk_avx2/snova_shake.c)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_esk_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_SHAKE_esk_avx2)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_esk_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_esk_avx2 PRIVATE -mavx2)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_esk_avx2 PUBLIC -DOPTIMISATION=2 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=0 -DPK_EXPAND_SHAKE=1 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_SHAKE_esk_avx2>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_24_5_4_SHAKE_esk_neon)
    add_library(snova_SNOVA_24_5_4_SHAKE_esk_neon OBJECT snova_SNOVA_24_5_4_SHAKE_esk_neon/oqs_snova.c snova_SNOVA_24_5_4_SHAKE_esk_neon/snova.c snova_SNOVA_24_5_4_SHAKE_esk_neon/snova_aes.c snova_SNOVA_24_5_4_SHAKE_esk_neon/snova_common.c snova_SNOVA_24_5_4_SHAKE_esk_neon/snova_shake.c)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_esk_neon PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_24_5_4_SHAKE_esk_neon)
    target_include_directories(snova_SNOVA_24_5_4_SHAKE_esk_neon PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_esk_neon PRIVATE)
    target_compile_options(snova_SNOVA_24_5_4_SHAKE_esk_neon PUBLIC -DOPTIMISATION=2 -Dv_SNOVA=24 -Do_SNOVA=5 -Dl_SNOVA=4 -Dsk_is_seed=0 -DPK_EXPAND_SHAKE=1 -DSNOVA_LIBOQS)
    set(_SNOVA_OBJS ${_SNOVA_OBJS} $<TARGET_OBJECTS:snova_SNOVA_24_5_4_SHAKE_esk_neon>)
endif()

if(OQS_ENABLE_SIG_snova_SNOVA_37_17_2)
    add_library(snova_SNOVA_37_17_2_opt OBJECT sig_snova_SNOVA_37_17_2.c snova_SNOVA_37_17_2_opt/oqs_snova.c snova_SNOVA_37_17_2_opt/snova.c snova_SNOVA_37_17_2_opt/snova_aes.c snova_SNOVA_37_17_2_opt/snova_common.c snova_SNOVA_37_17_2_opt/snova_shake.c)
    target_compile_options(snova_SNOVA_37_17_2_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=37 -Do_SNOVA=17 -Dl_SNOVA=2 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)
    target_include_directories(snova_SNOVA_37_17_2_opt PRIVATE ${CMAKE_CURRENT_LIST_DIR}/snova_SNOVA_37_17_2_opt)
    target_include_directories(snova_SNOVA_37_17_2_opt PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(snova_SNOVA_37_17_2_opt PUBLIC -DOPTIMISATION=1 -Dv_SNOVA=37 -Do_SNOVA=17 -Dl_SNOVA=2 -Dsk_is_seed=1 -DPK_EXPAND_SHAKE=0 -DSNOVA_LIBOQS)

=== src/sig/uov/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# This file was generated by
# scripts/copy_from_upstream/copy_from_upstream.py

set(_UOV_OBJS "")

if(OQS_ENABLE_SIG_uov_ov_Is)
    add_library(uov_ov_Is_ref OBJECT sig_uov_ov_Is.c pqov_ov_Is_ref/blas_matrix.c pqov_ov_Is_ref/blas_matrix_ref.c pqov_ov_Is_ref/ov.c pqov_ov_Is_ref/ov_keypair.c pqov_ov_Is_ref/ov_keypair_computation.c pqov_ov_Is_ref/ov_publicmap.c pqov_ov_Is_ref/parallel_matrix_op.c pqov_ov_Is_ref/sign.c pqov_ov_Is_ref/utils_hash.c pqov_ov_Is_ref/utils_prng.c pqov_ov_Is_ref/utils_randombytes.c)
    target_compile_options(uov_ov_Is_ref PUBLIC -D_OV16_160_64 -D_OV_CLASSIC -D_UTILS_OQS_)
    target_include_directories(uov_ov_Is_ref PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_Is_ref)
    target_include_directories(uov_ov_Is_ref PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_Is_ref PUBLIC -D_OV16_160_64 -D_OV_CLASSIC -D_UTILS_OQS_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_Is_ref>)
endif()

if(OQS_ENABLE_SIG_uov_ov_Is_neon)
    add_library(uov_ov_Is_neon OBJECT pqov_ov_Is_neon/blas_matrix.c pqov_ov_Is_neon/blas_matrix_neon.c pqov_ov_Is_neon/gf16_tabs_neon.c pqov_ov_Is_neon/ov.c pqov_ov_Is_neon/ov_keypair.c pqov_ov_Is_neon/ov_keypair_computation.c pqov_ov_Is_neon/ov_publicmap.c pqov_ov_Is_neon/parallel_matrix_op.c pqov_ov_Is_neon/sign.c pqov_ov_Is_neon/utils_hash.c pqov_ov_Is_neon/utils_prng.c pqov_ov_Is_neon/utils_randombytes.c)
    target_include_directories(uov_ov_Is_neon PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_Is_neon)
    target_include_directories(uov_ov_Is_neon PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_Is_neon PRIVATE)
    target_compile_options(uov_ov_Is_neon PUBLIC -D_OV16_160_64 -D_OV_CLASSIC -D_UTILS_OQS_ -D_BLAS_NEON_ -D_MUL_WITH_MULTAB_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_Is_neon>)
endif()

if(OQS_ENABLE_SIG_uov_ov_Is_avx2)
    add_library(uov_ov_Is_avx2 OBJECT pqov_ov_Is_avx2/blas_matrix.c pqov_ov_Is_avx2/blas_matrix_avx2.c pqov_ov_Is_avx2/blas_matrix_ref.c pqov_ov_Is_avx2/gf16_tabs.c pqov_ov_Is_avx2/gf256_tabs.c pqov_ov_Is_avx2/ov.c pqov_ov_Is_avx2/ov_keypair.c pqov_ov_Is_avx2/ov_keypair_computation.c pqov_ov_Is_avx2/ov_publicmap.c pqov_ov_Is_avx2/parallel_matrix_op.c pqov_ov_Is_avx2/sign.c pqov_ov_Is_avx2/utils_hash.c pqov_ov_Is_avx2/utils_prng.c pqov_ov_Is_avx2/utils_randombytes.c)
    target_include_directories(uov_ov_Is_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_Is_avx2)
    target_include_directories(uov_ov_Is_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_Is_avx2 PRIVATE -mavx2)
    target_compile_options(uov_ov_Is_avx2 PUBLIC -D_OV16_160_64 -D_OV_CLASSIC -D_UTILS_OQS_ -D_BLAS_AVX2_ -D_MUL_WITH_MULTAB_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_Is_avx2>)
endif()

if(OQS_ENABLE_SIG_uov_ov_Ip)
    add_library(uov_ov_Ip_ref OBJECT sig_uov_ov_Ip.c pqov_ov_Ip_ref/blas_matrix.c pqov_ov_Ip_ref/blas_matrix_ref.c pqov_ov_Ip_ref/ov.c pqov_ov_Ip_ref/ov_keypair.c pqov_ov_Ip_ref/ov_keypair_computation.c pqov_ov_Ip_ref/ov_publicmap.c pqov_ov_Ip_ref/parallel_matrix_op.c pqov_ov_Ip_ref/sign.c pqov_ov_Ip_ref/utils_hash.c pqov_ov_Ip_ref/utils_prng.c pqov_ov_Ip_ref/utils_randombytes.c)
    target_compile_options(uov_ov_Ip_ref PUBLIC -D_OV256_112_44 -D_OV_CLASSIC -D_UTILS_OQS_)
    target_include_directories(uov_ov_Ip_ref PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_Ip_ref)
    target_include_directories(uov_ov_Ip_ref PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_Ip_ref PUBLIC -D_OV256_112_44 -D_OV_CLASSIC -D_UTILS_OQS_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_Ip_ref>)
endif()

if(OQS_ENABLE_SIG_uov_ov_Ip_neon)
    add_library(uov_ov_Ip_neon OBJECT pqov_ov_Ip_neon/blas_matrix.c pqov_ov_Ip_neon/blas_matrix_neon.c pqov_ov_Ip_neon/gf16_tabs_neon.c pqov_ov_Ip_neon/ov.c pqov_ov_Ip_neon/ov_keypair.c pqov_ov_Ip_neon/ov_keypair_computation.c pqov_ov_Ip_neon/ov_publicmap.c pqov_ov_Ip_neon/parallel_matrix_op.c pqov_ov_Ip_neon/sign.c pqov_ov_Ip_neon/utils_hash.c pqov_ov_Ip_neon/utils_prng.c pqov_ov_Ip_neon/utils_randombytes.c)
    target_include_directories(uov_ov_Ip_neon PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_Ip_neon)
    target_include_directories(uov_ov_Ip_neon PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_Ip_neon PRIVATE)
    target_compile_options(uov_ov_Ip_neon PUBLIC -D_OV256_112_44 -D_OV_CLASSIC -D_UTILS_OQS_ -D_BLAS_NEON_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_Ip_neon>)
endif()

if(OQS_ENABLE_SIG_uov_ov_Ip_avx2)
    add_library(uov_ov_Ip_avx2 OBJECT pqov_ov_Ip_avx2/blas_matrix.c pqov_ov_Ip_avx2/blas_matrix_avx2.c pqov_ov_Ip_avx2/gf16_tabs.c pqov_ov_Ip_avx2/gf256_tabs.c pqov_ov_Ip_avx2/ov.c pqov_ov_Ip_avx2/ov_keypair.c pqov_ov_Ip_avx2/ov_keypair_computation.c pqov_ov_Ip_avx2/ov_publicmap.c pqov_ov_Ip_avx2/parallel_matrix_op.c pqov_ov_Ip_avx2/sign.c pqov_ov_Ip_avx2/utils_hash.c pqov_ov_Ip_avx2/utils_prng.c pqov_ov_Ip_avx2/utils_randombytes.c)
    target_include_directories(uov_ov_Ip_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_Ip_avx2)
    target_include_directories(uov_ov_Ip_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_Ip_avx2 PRIVATE -mavx2)
    target_compile_options(uov_ov_Ip_avx2 PUBLIC -D_OV256_112_44 -D_OV_CLASSIC -D_UTILS_OQS_ -D_BLAS_AVX2_ -D_MUL_WITH_MULTAB_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_Ip_avx2>)
endif()

if(OQS_ENABLE_SIG_uov_ov_III)
    add_library(uov_ov_III_ref OBJECT sig_uov_ov_III.c pqov_ov_III_ref/blas_matrix.c pqov_ov_III_ref/blas_matrix_ref.c pqov_ov_III_ref/ov.c pqov_ov_III_ref/ov_keypair.c pqov_ov_III_ref/ov_keypair_computation.c pqov_ov_III_ref/ov_publicmap.c pqov_ov_III_ref/parallel_matrix_op.c pqov_ov_III_ref/sign.c pqov_ov_III_ref/utils_hash.c pqov_ov_III_ref/utils_prng.c pqov_ov_III_ref/utils_randombytes.c)
    target_compile_options(uov_ov_III_ref PUBLIC -D_OV256_184_72 -D_OV_CLASSIC -D_UTILS_OQS_)
    target_include_directories(uov_ov_III_ref PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_III_ref)
    target_include_directories(uov_ov_III_ref PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_III_ref PUBLIC -D_OV256_184_72 -D_OV_CLASSIC -D_UTILS_OQS_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_III_ref>)
endif()

if(OQS_ENABLE_SIG_uov_ov_III_neon)
    add_library(uov_ov_III_neon OBJECT pqov_ov_III_neon/blas_matrix.c pqov_ov_III_neon/blas_matrix_neon.c pqov_ov_III_neon/gf16_tabs_neon.c pqov_ov_III_neon/ov.c pqov_ov_III_neon/ov_keypair.c pqov_ov_III_neon/ov_keypair_computation.c pqov_ov_III_neon/ov_publicmap.c pqov_ov_III_neon/parallel_matrix_op.c pqov_ov_III_neon/sign.c pqov_ov_III_neon/utils_hash.c pqov_ov_III_neon/utils_prng.c pqov_ov_III_neon/utils_randombytes.c)
    target_include_directories(uov_ov_III_neon PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_III_neon)
    target_include_directories(uov_ov_III_neon PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_III_neon PRIVATE)
    target_compile_options(uov_ov_III_neon PUBLIC -D_OV256_184_72 -D_OV_CLASSIC -D_UTILS_OQS_ -D_BLAS_NEON_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_III_neon>)
endif()

if(OQS_ENABLE_SIG_uov_ov_III_avx2)
    add_library(uov_ov_III_avx2 OBJECT pqov_ov_III_avx2/blas_matrix.c pqov_ov_III_avx2/blas_matrix_avx2.c pqov_ov_III_avx2/gf16_tabs.c pqov_ov_III_avx2/gf256_tabs.c pqov_ov_III_avx2/ov.c pqov_ov_III_avx2/ov_keypair.c pqov_ov_III_avx2/ov_keypair_computation.c pqov_ov_III_avx2/ov_publicmap.c pqov_ov_III_avx2/parallel_matrix_op.c pqov_ov_III_avx2/sign.c pqov_ov_III_avx2/utils_hash.c pqov_ov_III_avx2/utils_prng.c pqov_ov_III_avx2/utils_randombytes.c)
    target_include_directories(uov_ov_III_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_III_avx2)
    target_include_directories(uov_ov_III_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_III_avx2 PRIVATE -mavx2)
    target_compile_options(uov_ov_III_avx2 PUBLIC -D_OV256_184_72 -D_OV_CLASSIC -D_UTILS_OQS_ -D_BLAS_AVX2_ -D_MUL_WITH_MULTAB_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_III_avx2>)
endif()

if(OQS_ENABLE_SIG_uov_ov_V)
    add_library(uov_ov_V_ref OBJECT sig_uov_ov_V.c pqov_ov_V_ref/blas_matrix.c pqov_ov_V_ref/blas_matrix_ref.c pqov_ov_V_ref/ov.c pqov_ov_V_ref/ov_keypair.c pqov_ov_V_ref/ov_keypair_computation.c pqov_ov_V_ref/ov_publicmap.c pqov_ov_V_ref/parallel_matrix_op.c pqov_ov_V_ref/sign.c pqov_ov_V_ref/utils_hash.c pqov_ov_V_ref/utils_prng.c pqov_ov_V_ref/utils_randombytes.c)
    target_compile_options(uov_ov_V_ref PUBLIC -D_OV256_244_96 -D_OV_CLASSIC -D_UTILS_OQS_)
    target_include_directories(uov_ov_V_ref PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_V_ref)
    target_include_directories(uov_ov_V_ref PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_V_ref PUBLIC -D_OV256_244_96 -D_OV_CLASSIC -D_UTILS_OQS_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_V_ref>)
endif()

if(OQS_ENABLE_SIG_uov_ov_V_neon)
    add_library(uov_ov_V_neon OBJECT pqov_ov_V_neon/blas_matrix.c pqov_ov_V_neon/blas_matrix_neon.c pqov_ov_V_neon/gf16_tabs_neon.c pqov_ov_V_neon/ov.c pqov_ov_V_neon/ov_keypair.c pqov_ov_V_neon/ov_keypair_computation.c pqov_ov_V_neon/ov_publicmap.c pqov_ov_V_neon/parallel_matrix_op.c pqov_ov_V_neon/sign.c pqov_ov_V_neon/utils_hash.c pqov_ov_V_neon/utils_prng.c pqov_ov_V_neon/utils_randombytes.c)
    target_include_directories(uov_ov_V_neon PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_V_neon)
    target_include_directories(uov_ov_V_neon PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_V_neon PRIVATE)
    target_compile_options(uov_ov_V_neon PUBLIC -D_OV256_244_96 -D_OV_CLASSIC -D_UTILS_OQS_ -D_BLAS_NEON_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_V_neon>)
endif()

if(OQS_ENABLE_SIG_uov_ov_V_avx2)
    add_library(uov_ov_V_avx2 OBJECT pqov_ov_V_avx2/blas_matrix.c pqov_ov_V_avx2/blas_matrix_avx2.c pqov_ov_V_avx2/gf16_tabs.c pqov_ov_V_avx2/gf256_tabs.c pqov_ov_V_avx2/ov.c pqov_ov_V_avx2/ov_keypair.c pqov_ov_V_avx2/ov_keypair_computation.c pqov_ov_V_avx2/ov_publicmap.c pqov_ov_V_avx2/parallel_matrix_op.c pqov_ov_V_avx2/sign.c pqov_ov_V_avx2/utils_hash.c pqov_ov_V_avx2/utils_prng.c pqov_ov_V_avx2/utils_randombytes.c)
    target_include_directories(uov_ov_V_avx2 PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_V_avx2)
    target_include_directories(uov_ov_V_avx2 PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_V_avx2 PRIVATE -mavx2)
    target_compile_options(uov_ov_V_avx2 PUBLIC -D_OV256_244_96 -D_OV_CLASSIC -D_UTILS_OQS_ -D_BLAS_AVX2_ -D_MUL_WITH_MULTAB_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_V_avx2>)
endif()

if(OQS_ENABLE_SIG_uov_ov_Is_pkc)
    add_library(uov_ov_Is_pkc_ref OBJECT sig_uov_ov_Is_pkc.c pqov_ov_Is_pkc_ref/blas_matrix.c pqov_ov_Is_pkc_ref/blas_matrix_ref.c pqov_ov_Is_pkc_ref/ov.c pqov_ov_Is_pkc_ref/ov_keypair.c pqov_ov_Is_pkc_ref/ov_keypair_computation.c pqov_ov_Is_pkc_ref/ov_publicmap.c pqov_ov_Is_pkc_ref/parallel_matrix_op.c pqov_ov_Is_pkc_ref/sign.c pqov_ov_Is_pkc_ref/utils_hash.c pqov_ov_Is_pkc_ref/utils_prng.c pqov_ov_Is_pkc_ref/utils_randombytes.c)
    target_compile_options(uov_ov_Is_pkc_ref PUBLIC -D_OV16_160_64 -D_OV_PKC -D_UTILS_OQS_)
    target_include_directories(uov_ov_Is_pkc_ref PRIVATE ${CMAKE_CURRENT_LIST_DIR}/pqov_ov_Is_pkc_ref)
    target_include_directories(uov_ov_Is_pkc_ref PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
    target_compile_options(uov_ov_Is_pkc_ref PUBLIC -D_OV16_160_64 -D_OV_PKC -D_UTILS_OQS_)
    set(_UOV_OBJS ${_UOV_OBJS} $<TARGET_OBJECTS:uov_ov_Is_pkc_ref>)
endif()

if(OQS_ENABLE_SIG_uov_ov_Is_pkc_neon)

=== zephyr/samples/Signatures/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

cmake_minimum_required(VERSION 3.20.0)

set(NO_BUILD_TYPE_WARNING ON)

find_package(Zephyr REQUIRED HINTS $ENV{ZEPHYR_BASE})

project(liboqs_signatures)

target_sources(app PRIVATE
    src/main.c
)

=== src/common/sha3/avx512vl_low/CMakeLists.txt ===
# Copyright (c) 2025 Intel Corporation
#
# SPDX-License-Identifier: MIT

set(_SHA3_AVX512VL_LOW_OBJS "")

if(OQS_USE_SHA3_AVX512VL)
  add_library(sha3_avx512vl_low OBJECT
    KeccakP-1600-AVX512VL.S SHA3-AVX512VL.S KeccakP-1600-times4-AVX512VL.S SHA3-times4-AVX512VL.S)
  set(_SHA3_AVX512VL_LOW_OBJS ${_SHA3_AVX512VL_LOW_OBJS} $<TARGET_OBJECTS:sha3_avx512vl_low>)
endif()

set(SHA3_AVX512VL_LOW_OBJS ${_SHA3_AVX512VL_LOW_OBJS} PARENT_SCOPE)

=== scripts/copy_from_upstream/src/kem/family/CMakeLists.txt ===
# SPDX-License-Identifier: MIT

# This file was generated by
# scripts/copy_from_upstream/copy_from_upstream.py

set(_{{ family|upper }}_OBJS "")

{%- if common_deps is defined %}
    {%- for common_dep in common_deps %}

if({% for used_by in common_deps_usedby[common_dep['name']] -%}OQS_ENABLE_KEM_{{ family }}_{{ used_by['scheme_c'] }}{%- if used_by['impl_name'] != default_implementation %}_{{ used_by['impl_name'] }}{% endif -%}{%- if not loop.last %} OR {% endif -%}{%- endfor -%})
    add_library({{ family }}_{{ common_dep['name'] }} OBJECT {% for source_file in common_dep['sources_addl']|sort -%}{{ upstream_location }}_{{ common_dep['name'] }}/{{ source_file }}{%- if not loop.last %} {% endif -%}{%- endfor -%})
    target_include_directories({{ family }}_{{ common_dep['name'] }} PRIVATE ${CMAKE_CURRENT_LIST_DIR}/{{ upstream_location }}_{{ common_dep['name'] }})
        {%- if common_dep['required_flags'] %}
    target_compile_options({{ family }}_{{ common_dep['name'] }} PRIVATE {%- for flag in common_dep['required_flags'] %}{%- if flag != 'arm_neon' %} -m{%- if flag == 'bmi1' -%} bmi {%- elif flag == 'sse4_1' -%} sse4.1 {%- elif flag == 'pclmulqdq' -%} pclmul {%- else -%}{{ flag }}{%- endif -%}{%- endif -%}{%- endfor -%})
        {%- endif %}
        {%- if common_dep['compile_opts'] %}
    target_compile_options({{ family }}_{{ common_dep['name'] }} PUBLIC {{ common_dep['compile_opts'] }})
        {%- endif %}
    set(_{{ family|upper }}_OBJS ${_{{ family|upper }}_OBJS} $<TARGET_OBJECTS:{{ family }}_{{ common_dep['name'] }}>)
endif()

    {%- endfor %}
{%- endif %}

{%- for scheme in schemes -%}
    {%- for impl in scheme['metadata']['implementations'] -%}
        {%- if impl['name'] == scheme['default_implementation'] %}

if(OQS_ENABLE_KEM_{{ family }}_{{ scheme['scheme_c'] }}{%- if 'alias_scheme' in scheme %} OR OQS_ENABLE_KEM_{{ family }}_{{ scheme['alias_scheme'] }}{%- endif %})
    add_library({{ family }}_{{ scheme['scheme'] }}_{{ impl['name'] }} OBJECT kem_{{ family }}_{{ scheme['scheme'] }}.c {% for source_file in impl['sources']|sort -%}{{ impl['upstream']['name'] }}_{{ scheme['pqclean_scheme'] }}_{{ impl['name'] }}/{{ source_file }}{%- if not loop.last %} {% endif -%}{%- endfor -%})
           {%- if impl['compile_opts'] %}
    target_compile_options({{ family }}_{{ scheme['scheme'] }}_{{ impl['name'] }} PUBLIC {{ impl['compile_opts'] }})
           {%- endif -%}

        {%- elif impl['name'] == 'cuda' %}

if(OQS_ENABLE_KEM_{{ family }}_{{ scheme['scheme_c'] }}_{{ impl['name'] }}{%- if 'alias_scheme' in scheme %} OR OQS_ENABLE_KEM_{{ family }}_{{ scheme['alias_scheme'] }}_{{ impl['name'] }}{%- endif %})
    add_library({{ family }}_{{ scheme['scheme'] }}_{{ impl['name'] }} OBJECT {{ impl['upstream']['name'] }}_{{ scheme['pqclean_scheme'] }}_{{ impl['name'] }}/cupqc_ml-kem.cu)
    target_link_libraries({{ family }}_{{ scheme['scheme'] }}_{{ impl['name'] }} cupqc)
    set_property(TARGET {{ family }}_{{ scheme['scheme'] }}_{{ impl['name'] }} PROPERTY CUDA_ARCHITECTURES OFF)
    target_compile_options({{ family }}_{{ scheme['scheme'] }}_{{ impl['name'] }} PRIVATE {{ impl['compile_opts'] }})
        {%- else %}

if(OQS_ENABLE_KEM_{{ family }}_{{ scheme['scheme_c'] }}_{{ impl['name'] }}{%- if 'alias_scheme' in scheme %} OR OQS_ENABLE_KEM_{{ family }}_{{ scheme['alias_scheme'] }}_{{ impl['name'] }}{%- endif %})
    add_library({{ family }}_{{ scheme['scheme'] }}_{{ impl['name'] }} OBJECT {% for source_file in impl['sources']|sort -%}{{ impl['upstream']['name'] }}_{{ scheme['pqclean_scheme'] }}_{{ impl['name'] }}/{{ source_file }}{%- if not loop.last %} {% endif -%}{%- endfor -%})
        {%- endif %}
        {%- if impl['name'] != 'cuda' %}
    target_include_directories({{ family }}_{{ scheme['scheme'] }}_{{ impl['name'] }} PRIVATE ${CMAKE_CURRENT_LIST_DIR}/{{ impl['upstream']['name'] }}_{{ scheme['pqclean_scheme'] }}_{{ impl['name'] }})
    target_include_directories({{ family }}_{{ scheme['scheme'] }}_{{ impl['name'] }} PRIVATE ${PROJECT_SOURCE_DIR}/src/common/pqclean_shims)
        {%- if impl['name'] != scheme['default_implementation'] and impl['required_flags'] -%}
           {%- set opts %}{% for flag in impl['required_flags'] %}{%- if flag != 'arm_neon' %} -m{%- if flag == 'bmi1' -%} bmi {% elif flag == 'sse4_1' -%} sse4.1 {% elif flag == 'pclmulqdq' -%} pclmul {% else -%}{{ flag }} {% endif %}{% endif -%}{% endfor %}{% endset %}
           {%- if opts|length > 0 %}
    target_compile_options({{ family }}_{{ scheme['scheme'] }}_{{ impl['name'] }} PRIVATE {{ opts }})
           {%- endif -%}
        {%- endif %}
        {%- if impl['compile_opts'] %}
    target_compile_options({{ family }}_{{ scheme['scheme'] }}_{{ impl['name'] }} PUBLIC {{ impl['compile_opts'] }})
        {%- endif %}
        {%- if family == 'classic_mceliece' and impl['name'] == 'avx2' %}
    target_compile_options({{ family }}_{{ scheme['scheme'] }}_{{ impl['name'] }} PRIVATE -Wno-language-extension-token -O1)
        {%- endif %}
        {%- if family == 'hqc' and impl['name'] == 'clean' %}
    target_compile_options({{ family }}_{{ scheme['scheme'] }}_{{ impl['name'] }} PRIVATE -O0)
        {%- endif %}
        {%- if impl['upstream']['name'].endswith('pqclean') %}
    if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
        target_compile_definitions({{ family }}_{{ scheme['scheme'] }}_{{ impl['name'] }} PRIVATE old_gas_syntax)
    endif()
    	{%- endif %}
        {%- endif %}{# cupqc #}
    set(_{{ family|upper }}_OBJS ${_{{ family|upper }}_OBJS} $<TARGET_OBJECTS:{{ family }}_{{ scheme['scheme'] }}_{{ impl['name'] }}>)
endif()
    {%- endfor -%}
{%- endfor %}

{% if libjade_implementation is defined -%}
##### OQS_COPY_FROM_LIBJADE_FRAGMENT_CMAKELISTS_START

##### OQS_COPY_FROM_LIBJADE_FRAGMENT_CMAKELISTS_END
{% endif -%}

set({{ family|upper }}_OBJS ${_{{ family|upper }}_OBJS} PARENT_SCOPE)

=== PKGBUILD ===
# Maintainer: d0p1 <contact@d0p1.eu>

_realname=liboqs
pkgbase=mingw-w64-${_realname}
pkgname=("${MINGW_PACKAGE_PREFIX}-${_realname}")
pkgver=0.14.0
pkgrel=1
pkgdesc="C library for prototyping and experimenting with quantum-resistant cryptography (mingw-w64)"
arch=('any')
mingw_arch=('mingw64' 'ucrt64' 'clang64' 'clangarm64')
url='https://openquantumsafe.org/'
msys2_repository_url="https://github.com/open-quantum-safe/liboqs"
msys2_references=(
  'anitya: 364436'
  'aur: liboqs'
)
license=('spdx:MIT')
makedepends=(
  "${MINGW_PACKAGE_PREFIX}-cmake"
  "${MINGW_PACKAGE_PREFIX}-ninja"
  "${MINGW_PACKAGE_PREFIX}-cc"
)
checkdepends=(
  "${MINGW_PACKAGE_PREFIX}-python-pytest"
  "${MINGW_PACKAGE_PREFIX}-python-pytest-xdist"
  "${MINGW_PACKAGE_PREFIX}-python-yaml"
)
source=("https://github.com/open-quantum-safe/liboqs/archive/${pkgver}/${_realname}-${pkgver}.tar.gz"
        "001-aarch64-detection.patch")
sha256sums=('5b0df6138763b3fc4e385d58dbb2ee7c7c508a64a413d76a917529e3a9a207ea'
            '99a7133701b106e6e0d4d9dece250a2e63c1082c7c6835747ad69387bd29f958')

apply_patch_with_msg() {
  for _fname in "$@"
  do
    msg2 "Applying ${_fname}"
    patch -Nbp1 -i "${srcdir}"/${_fname}
  done
}

prepare() {
  cd "${srcdir}"/${_realname}-${pkgver}

  apply_patch_with_msg \
    001-aarch64-detection.patch
}

build() {
  declare -a extra_config
  if check_option "debug" "n"; then
    extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  if [[ ${CC} == clang ]]; then
    export CFLAGS+=" -Wno-unknown-warning-option"
  fi

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    cmake \
      -GNinja \
      -DCMAKE_INSTALL_PREFIX="${MINGW_PREFIX}" \
      "${extra_config[@]}" \
      -DCMAKE_DLL_NAME_WITH_SOVERSION=ON \
      -DBUILD_SHARED_LIBS=ON \
      -DOQS_BUILD_ONLY_LIB=ON \
      -S "${_realname}-${pkgver}" \
      -B "build-${MSYSTEM}"

  cmake --build "build-${MSYSTEM}"
}

package() {
  DESTDIR="${pkgdir}" cmake --install "build-${MSYSTEM}"

  install -Dm644 "${srcdir}/${_realname}-${pkgver}/LICENSE.txt" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE"
}
